2022-07-29  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: f94b70bd3a3d0c9c6f17b272b61b345f4f6cbfbe
	Prepare for glibc 2.36 release.

	* include/features.h: Modified.
	(__GLIBC_MINOR__): Modified.
	* version.h: Modified.
	(RELEASE): Modified.
	(VERSION): Modified.

2022-07-29  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 7a52dfab0291c53e61f088e76bf91b85ffb04a6c
	Update install.texi, and regenerate INSTALL.

	* INSTALL: Modified.
	* manual/install.texi: Modified.

2022-07-29  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 90d8f0dc29d59e299c8cd765b9662bfceb3c1081
	Update NEWS bug list.

	* NEWS: Modified.

2022-07-29  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: da3b9f445195bdbe77e66e4fc137a5732637b85f
	Update libc.pot for 2.36 release.

	* po/libc.pot: Modified.

2022-07-29  Mark Wielaard  <mark@klomp.org>

	COMMIT: 325ba824b0611e14e96b38dbc486acf255f9e568
	tst-pidfd.c: UNSUPPORTED if we get EPERM on valid pidfd_getfd call

	* sysdeps/unix/sysv/linux/tst-pidfd.c: Modified.
	(do_test): Modified function.

2022-07-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 35363b53cef00c3b9886b2c1f45612869f304960
	stdlib: Tuned down tst-arc4random-thread internal parameters

	* stdlib/tst-arc4random-thread.c: Modified.
	(<anoymous>): Modified.
	(<anoymous>): Modified.
	(<anoymous>): Modified.
	(<anoymous>): Modified.
	(<anoymous>): Remove.
	(do_test): Modified function.
	(sched.h): Include file.
	(outer_threads): New.

2022-07-29  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: bce0218d9a8355f82f76543fc4acdc721e22dcd6
	LoongArch: Add greg_t and gregset_t.

	* sysdeps/unix/sysv/linux/loongarch/sys/ucontext.h: Modified.
	[__USE_MISC](greg_t): New.
	[__USE_MISC](gregset_t): New.

2022-07-29  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 033e76ea9c39def3473bbfb31438a59168f3f3d7
	LoongArch: Fix VDSO_HASH and VDSO_NAME.

	* sysdeps/unix/sysv/linux/loongarch/sysdep.h: Modified.
	[! __ASSEMBLER__](VDSO_NAME): Modified.
	[! __ASSEMBLER__](VDSO_HASH): Modified.

2022-07-27  Darius Rad  <darius@bluespec.com>

	COMMIT: 7c5db7931f940a0de9d39b566f6fef41148491c0
	riscv: Update rv64 libm test ulps

	* sysdeps/riscv/rv64/rvd/libm-test-ulps: Modified.

2022-07-27  Darius Rad  <darius@bluespec.com>

	COMMIT: 5b6d8a650d9228f6bd8c6d493f98e237baa50ed4
	riscv: Update nofpu libm test ulps

	* sysdeps/riscv/nofpu/libm-test-ulps: Modified.

2022-07-27  Jason A. Donenfeld  <Jason@zx2c4.com>

	COMMIT: eaad4f9e8f07fc43618f6c8635a7e82831a423dd
	arc4random: simplify design for better safety

	* LICENSES: Modified.
	* NEWS: Modified.
	* include/stdlib.h: Modified.
	[! _ISOMAC](__arc4random_fork_subprocess): Remove.
	* manual/math.texi: Modified.
	* stdlib/Makefile: Modified.
	* stdlib/arc4random.c: Modified.
	(arc4random.h): Remove include.
	(tls-internal.h): Remove include.
	(chacha20.c): Remove include.
	(__arc4random_fork_subprocess): Remove function.
	(arc4random_get_state): Remove function.
	(arc4random_rekey): Remove function.
	(arc4random_getentropy): Remove function.
	(arc4random_check_stir): Remove function.
	(__arc4random_buf): Modified function.
	(__arc4random): Modified function.
	* stdlib/arc4random.h: Delete file.
	* stdlib/chacha20.c: Delete file.
	* stdlib/tst-arc4random-chacha20.c: Delete file.
	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/chacha20-aarch64.S: Delete file.
	* sysdeps/aarch64/chacha20_arch.h: Delete file.
	* sysdeps/generic/chacha20_arch.h: Delete file.
	* sysdeps/generic/not-cancel.h: Modified.
	(poll.h): Include file.
	(__poll_infinity_nocancel): New.
	* sysdeps/generic/tls-internal-struct.h: Modified.
	(tls_internal_t): Modified.
	* sysdeps/generic/tls-internal.c: Modified.
	(stdlib/arc4random.h): Remove include.
	(__glibc_tls_internal_free): Modified function.
	* sysdeps/mach/hurd/_Fork.c: Modified.
	(_Fork): Modified function.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	(poll.h): Include file.
	(__poll_infinity_nocancel): New.
	* sysdeps/nptl/_Fork.c: Modified.
	(_Fork): Modified function.
	* sysdeps/powerpc/powerpc64/be/multiarch/Makefile: Delete file.
	* sysdeps/powerpc/powerpc64/be/multiarch/chacha20-ppc.c: Delete file.
	* sysdeps/powerpc/powerpc64/be/multiarch/chacha20_arch.h: Delete file.
	* sysdeps/powerpc/powerpc64/power8/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/power8/chacha20-ppc.c: Delete file.
	* sysdeps/powerpc/powerpc64/power8/chacha20_arch.h: Delete file.
	* sysdeps/s390/s390-64/Makefile: Modified.
	* sysdeps/s390/s390-64/chacha20-s390x.S: Delete file.
	* sysdeps/s390/s390-64/chacha20_arch.h: Delete file.
	* sysdeps/unix/sysv/linux/not-cancel.h: Modified.
	(__getrandom_nocancel): Modified function.
	(sys/poll.h): Include file.
	(__poll_infinity_nocancel): New function.
	* sysdeps/unix/sysv/linux/tls-internal.c: Modified.
	(stdlib/arc4random.h): Remove include.
	(__glibc_tls_internal_free): Modified function.
	* sysdeps/unix/sysv/linux/tls-internal.h: Modified.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/chacha20-amd64-avx2.S: Delete file.
	* sysdeps/x86_64/chacha20-amd64-sse2.S: Delete file.
	* sysdeps/x86_64/chacha20_arch.h: Delete file.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 3a380458201262ed01d913a1d9e3ff73d0166043
	LoongArch: Update NEWS and README for the LoongArch port.

	* NEWS: Modified.
	* README: Modified.
	* manual/math.texi: Modified.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 3be5fc00ad04b89a709f79e0b008ca119c4aa01e
	LoongArch: Update build-many-glibcs.py for the LoongArch Port.

	* scripts/build-many-glibcs.py: Modified.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 68d61026d526fff88a7ae64ccf92b3f9da189249
	LoongArch: Hard Float Support

	* sysdeps/loongarch/fpu/fclrexcpt.c: New file.
	* sysdeps/loongarch/fpu/fedisblxcpt.c: New file.
	* sysdeps/loongarch/fpu/feenablxcpt.c: New file.
	* sysdeps/loongarch/fpu/fegetenv.c: New file.
	* sysdeps/loongarch/fpu/fegetexcept.c: New file.
	* sysdeps/loongarch/fpu/fegetmode.c: New file.
	* sysdeps/loongarch/fpu/fegetround.c: New file.
	* sysdeps/loongarch/fpu/feholdexcpt.c: New file.
	* sysdeps/loongarch/fpu/fenv_libc.h: New file.
	* sysdeps/loongarch/fpu/fesetenv.c: New file.
	* sysdeps/loongarch/fpu/fesetexcept.c: New file.
	* sysdeps/loongarch/fpu/fesetmode.c: New file.
	* sysdeps/loongarch/fpu/fesetround.c: New file.
	* sysdeps/loongarch/fpu/feupdateenv.c: New file.
	* sysdeps/loongarch/fpu/fgetexcptflg.c: New file.
	* sysdeps/loongarch/fpu/fraiseexcpt.c: New file.
	* sysdeps/loongarch/fpu/fsetexcptflg.c: New file.
	* sysdeps/loongarch/fpu/ftestexcept.c: New file.
	* sysdeps/loongarch/fpu/math-use-builtins-sqrt.h: New file.
	* sysdeps/loongarch/lp64/libm-test-ulps: New file.
	* sysdeps/loongarch/lp64/libm-test-ulps-name: New file.
	* sysdeps/loongarch/math_private.h: New file.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 3d87c89815314b0854604a9e9be2990818ca6f6a
	LoongArch: Build Infrastructure

	* sysdeps/loongarch/Implies: New file.
	* sysdeps/loongarch/Makefile: New file.
	* sysdeps/loongarch/configure: New file.
	* sysdeps/loongarch/configure.ac: New file.
	* sysdeps/loongarch/lp64/Implies-after: New file.
	* sysdeps/loongarch/preconfigure: New file.
	* sysdeps/loongarch/preconfigure.ac: New file.
	* sysdeps/loongarch/sys/regdef.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/Implies: New file.
	* sysdeps/unix/sysv/linux/loongarch/Makefile: New file.
	* sysdeps/unix/sysv/linux/loongarch/configure: New file.
	* sysdeps/unix/sysv/linux/loongarch/configure.ac: New file.
	* sysdeps/unix/sysv/linux/loongarch/ldd-rewrite.sed: New file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/Implies: New file.
	* sysdeps/unix/sysv/linux/loongarch/shlib-versions: New file.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 0d4a891a7ca14cc38075d043a1cf2a531a809a70
	LoongArch: Add ABI Lists

	* sysdeps/unix/sysv/linux/loongarch/lp64/c++-types.data: New file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/ld.abilist: New file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libBrokenLocale.abilist: New file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libc.abilist: New file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libcrypt.abilist: New file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libm.abilist: New file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libpthread.abilist: New file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libresolv.abilist: New file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/librt.abilist: New file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libthread_db.abilist: New file.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: f2037efbb33ffaf033b7a601a8a592d54879341c
	LoongArch: Linux ABI

	* sysdeps/loongarch/dl-irel.h: New file.
	* sysdeps/loongarch/nptl/pthreaddef.h: New file.
	* sysdeps/loongarch/sys/ifunc.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/bits/fcntl.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/bits/procfs.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/bits/pthread_stack_min.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/bits/sigstack.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/getcontext.S: New file.
	* sysdeps/unix/sysv/linux/loongarch/localplt.data: New file.
	* sysdeps/unix/sysv/linux/loongarch/makecontext.c: New file.
	* sysdeps/unix/sysv/linux/loongarch/setcontext.S: New file.
	* sysdeps/unix/sysv/linux/loongarch/sigcontextinfo.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/swapcontext.S: New file.
	* sysdeps/unix/sysv/linux/loongarch/sys/ucontext.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/sys/user.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/ucontext-macros.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/ucontext_i.sym: New file.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 45955fe61844d94f7faa660eda9e515a6571e8c3
	LoongArch: Linux Syscall Interface

	* sysdeps/loongarch/abort-instr.h: New file.
	* sysdeps/loongarch/hp-timing.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/clone.S: New file.
	* sysdeps/unix/sysv/linux/loongarch/clone3.S: New file.
	* sysdeps/unix/sysv/linux/loongarch/sysdep.S: New file.
	* sysdeps/unix/sysv/linux/loongarch/sysdep.h: New file.
	* sysdeps/unix/sysv/linux/loongarch/vfork.S: New file.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 327588226198995d2daa62e127ef45af9bcf182d
	LoongArch: Atomic and Locking Routines

	* sysdeps/unix/sysv/linux/loongarch/atomic-machine.h: New file.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: c742795dce9706ba3b26b649a7123a379bd506cb
	LoongArch: Generic <math.h> and soft-fp Routines

	* sysdeps/loongarch/bits/fenv.h: New file.
	* sysdeps/loongarch/e_sqrtl.c: New file.
	* sysdeps/loongarch/fpu_control.h: New file.
	* sysdeps/loongarch/sfp-machine.h: New file.
	* sysdeps/loongarch/tininess.h: New file.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 619bfc6770275da9deceb87187f47ab95b3b24cc
	LoongArch: Thread-Local Storage Support

	* sysdeps/loongarch/dl-tls.h: New file.
	* sysdeps/loongarch/libc-tls.c: New file.
	* sysdeps/loongarch/nptl/tls.h: New file.
	* sysdeps/loongarch/stackinfo.h: New file.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: a133942025da6fa62bb059b02f4e7a4b6e03e34a
	LoongArch: ABI Implementation

	* sysdeps/loongarch/__longjmp.S: New file.
	* sysdeps/loongarch/bits/endianness.h: New file.
	* sysdeps/loongarch/bits/link.h: New file.
	* sysdeps/loongarch/bits/setjmp.h: New file.
	* sysdeps/loongarch/bsd-_setjmp.c: New file.
	* sysdeps/loongarch/bsd-setjmp.c: New file.
	* sysdeps/loongarch/dl-machine.h: New file.
	* sysdeps/loongarch/dl-trampoline.S: New file.
	* sysdeps/loongarch/jmpbuf-offsets.h: New file.
	* sysdeps/loongarch/jmpbuf-unwind.h: New file.
	* sysdeps/loongarch/ldsodefs.h: New file.
	* sysdeps/loongarch/linkmap.h: New file.
	* sysdeps/loongarch/machine-gmon.h: New file.
	* sysdeps/loongarch/setjmp.S: New file.
	* sysdeps/loongarch/sotruss-lib.c: New file.
	* sysdeps/loongarch/start.S: New file.
	* sysdeps/loongarch/sys/asm.h: New file.
	* sysdeps/loongarch/tst-audit.h: New file.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 2d83247d90c9f0bfee7f3f2505bc1b13b6f36c04
	LoongArch: Add relocations and ELF flags to elf.h and scripts/glibcelf.py

	* elf/elf.h: Modified.
	(EM_NUM): Modified.
	(EM_LOONGARCH): New.
	(EF_LARCH_ABI): New.
	(EF_LARCH_ABI_LP64D): New.
	(R_LARCH_NONE): New.
	(R_LARCH_32): New.
	(R_LARCH_64): New.
	(R_LARCH_RELATIVE): New.
	(R_LARCH_COPY): New.
	(R_LARCH_JUMP_SLOT): New.
	(R_LARCH_TLS_DTPMOD32): New.
	(R_LARCH_TLS_DTPMOD64): New.
	(R_LARCH_TLS_DTPREL32): New.
	(R_LARCH_TLS_DTPREL64): New.
	(R_LARCH_TLS_TPREL32): New.
	(R_LARCH_TLS_TPREL64): New.
	(R_LARCH_IRELATIVE): New.
	(R_LARCH_MARK_LA): New.
	(R_LARCH_MARK_PCREL): New.
	(R_LARCH_SOP_PUSH_PCREL): New.
	(R_LARCH_SOP_PUSH_ABSOLUTE): New.
	(R_LARCH_SOP_PUSH_DUP): New.
	(R_LARCH_SOP_PUSH_GPREL): New.
	(R_LARCH_SOP_PUSH_TLS_TPREL): New.
	(R_LARCH_SOP_PUSH_TLS_GOT): New.
	(R_LARCH_SOP_PUSH_TLS_GD): New.
	(R_LARCH_SOP_PUSH_PLT_PCREL): New.
	(R_LARCH_SOP_ASSERT): New.
	(R_LARCH_SOP_NOT): New.
	(R_LARCH_SOP_SUB): New.
	(R_LARCH_SOP_SL): New.
	(R_LARCH_SOP_SR): New.
	(R_LARCH_SOP_ADD): New.
	(R_LARCH_SOP_AND): New.
	(R_LARCH_SOP_IF_ELSE): New.
	(R_LARCH_SOP_POP_32_S_10_5): New.
	(R_LARCH_SOP_POP_32_U_10_12): New.
	(R_LARCH_SOP_POP_32_S_10_12): New.
	(R_LARCH_SOP_POP_32_S_10_16): New.
	(R_LARCH_SOP_POP_32_S_10_16_S2): New.
	(R_LARCH_SOP_POP_32_S_5_20): New.
	(R_LARCH_SOP_POP_32_S_0_5_10_16_S2): New.
	(R_LARCH_SOP_POP_32_S_0_10_10_16_S2): New.
	(R_LARCH_SOP_POP_32_U): New.
	(R_LARCH_ADD8): New.
	(R_LARCH_ADD16): New.
	(R_LARCH_ADD24): New.
	(R_LARCH_ADD32): New.
	(R_LARCH_ADD64): New.
	(R_LARCH_SUB8): New.
	(R_LARCH_SUB16): New.
	(R_LARCH_SUB24): New.
	(R_LARCH_SUB32): New.
	(R_LARCH_SUB64): New.
	(R_LARCH_GNU_VTINHERIT): New.
	(R_LARCH_GNU_VTENTRY): New.
	* scripts/glibcelf.py: Modified.

2022-07-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 4c2c2142d628b677cdce3adc70f43e5e32542370
	LoongArch: Add LoongArch entries to config.h.in

	* config.h.in: Modified.

2022-07-25  Arnout Vandecappelle (Essensium/Mind)  <arnout@mind.be>

	COMMIT: 794c27446fd735526d9d782478edd1141b10e3ab
	struct stat is not posix conformant on microblaze with __USE_FILE_OFFSET64

	* sysdeps/unix/sysv/linux/microblaze/bits/struct_stat.h: Modified.
	[! _BITS_STRUCT_STAT_H][__USE_FILE_OFFSET64](stat): Modified.

2022-07-25  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0c5605989f72457b50e4eccad3e99a28929d89ba
	Linux: dirent/tst-readdir64-compat needs to use TEST_COMPAT (bug 27654)

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-readdir64-compat.c: Modified.
	(compat_readdir64): Remove.
	(compat_symbol_reference): Remove.
	(do_test): Modified function.
	[TEST_COMPAT (libc, GLIBC_2_1, GLIBC_2_2)](compat_readdir64): New.
	[TEST_COMPAT (libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol_reference): New.

2022-07-22  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: ca4d3ea5130d66e66c5af14e958e99341bf20689
	manual: Add documentation for arc4random functions

	* manual/math.texi: Modified.

2022-07-22  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 3b56f944c5398114486d6abd60c465682b802072
	s390x: Add optimized chacha20

	* LICENSES: Modified.
	* sysdeps/s390/s390-64/Makefile: Modified.
	* sysdeps/s390/s390-64/chacha20-s390x.S: New file.
	* sysdeps/s390/s390-64/chacha20_arch.h: New file.

2022-07-22  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: b7060acfe8e80fe832e3227020d1127f2d971d1c
	powerpc64: Add optimized chacha20

	* LICENSES: Modified.
	* sysdeps/powerpc/powerpc64/be/multiarch/Makefile: New file.
	* sysdeps/powerpc/powerpc64/be/multiarch/chacha20-ppc.c: New file.
	* sysdeps/powerpc/powerpc64/be/multiarch/chacha20_arch.h: New file.
	* sysdeps/powerpc/powerpc64/power8/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/power8/chacha20-ppc.c: New file.
	* sysdeps/powerpc/powerpc64/power8/chacha20_arch.h: New file.

2022-07-22  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 84cfc6479bdabcca2e0b8099459dae1b51d3a4a3
	x86: Add AVX2 optimized chacha20

	* LICENSES: Modified.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/chacha20-amd64-avx2.S: New file.
	* sysdeps/x86_64/chacha20-amd64-sse2.S: Modified.
	* sysdeps/x86_64/chacha20_arch.h: Modified.
	(chacha20_crypt): Modified function.
	(isa-level.h): Include file.
	(__chacha20_avx2_blocks8): New function.

2022-07-22  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: e169aff0e9aacdcf466357247f1759f2c84b7fe4
	x86: Add SSE2 optimized chacha20

	* LICENSES: Modified.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/chacha20-amd64-sse2.S: New file.
	* sysdeps/x86_64/chacha20_arch.h: New file.

2022-07-22  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 4c128c7823e5a19058589cfac42aa96de3e15430
	aarch64: Add optimized chacha20

	* LICENSES: Modified.
	* stdlib/chacha20.c: Modified.
	(chacha20_crypt): Remove function.
	(chacha20_crypt_generic): New function.
	(chacha20_arch.h): Include file.
	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/chacha20-aarch64.S: New file.
	* sysdeps/aarch64/chacha20_arch.h: New file.
	* sysdeps/generic/chacha20_arch.h: New file.

2022-07-22  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: 5d765ada01d140d8d1ecf94953a4751593af720d
	benchtests: Add arc4random benchtest

	* benchtests/Makefile: Modified.
	* benchtests/bench-arc4random.c: New file.
	* benchtests/bench-hash-funcs-kernel.h: Modified.
	(bench-util.h): Include file.
	* benchtests/bench-hash-funcs.c: Modified.
	(DO_NOT_OPTIMIZE_OUT): Remove.
	* benchtests/bench-util.h: Modified.
	(DO_NOT_OPTIMIZE_OUT): New.

2022-07-22  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>
            Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8dd890d96f1833a58de6e112a14d63ab44e0a402
	stdlib: Add arc4random tests

	* stdlib/Makefile: Modified.
	* stdlib/tst-arc4random-chacha20.c: New file.
	* stdlib/tst-arc4random-fork.c: New file.
	* stdlib/tst-arc4random-stats.c: New file.
	* stdlib/tst-arc4random-thread.c: New file.

2022-07-22  Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>
            Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6f4e0fcfa2d2b0915816a3a3a1d48b4763a7dee2
	stdlib: Add arc4random, arc4random_buf, and arc4random_uniform (BZ #4417)

	* NEWS: Modified.
	* include/stdlib.h: Modified.
	[! _ISOMAC](__arc4random): New.
	[! _ISOMAC](libc_hidden_proto): New function.
	[! _ISOMAC](__arc4random_buf): New.
	[! _ISOMAC](libc_hidden_proto): New function.
	[! _ISOMAC](__arc4random_uniform): New.
	[! _ISOMAC](libc_hidden_proto): New function.
	[! _ISOMAC](__arc4random_buf_internal): New function.
	[! _ISOMAC](__arc4random_fork_subprocess): New function.
	* malloc/thread-freeres.c: Modified.
	(__libc_thread_freeres): Modified function.
	* nptl/allocatestack.c: Modified.
	(get_cached_stack): Modified function.
	(tls-internal.h): Include file.
	* stdlib/Makefile: Modified.
	* stdlib/Versions: Modified.
	* stdlib/arc4random.c: New file.
	* stdlib/arc4random.h: New file.
	* stdlib/arc4random_uniform.c: New file.
	* stdlib/chacha20.c: New file.
	* stdlib/stdlib.h: Modified.
	[__USE_MISC ||  __USE_XOPEN][__USE_MISC](__wur): New.
	[__USE_MISC ||  __USE_XOPEN][__USE_MISC](arc4random_buf): New function.
	[__USE_MISC ||  __USE_XOPEN][__USE_MISC](__wur): New.
	* sysdeps/generic/not-cancel.h: Modified.
	(__getrandom_nocancel): New.
	* sysdeps/generic/tls-internal-struct.h: Modified.
	(tls_internal_t): Modified.
	* sysdeps/generic/tls-internal.c: Modified.
	(stdlib/arc4random.h): Include file.
	(string.h): Include file.
	(__glibc_tls_internal_free): New function.
	* sysdeps/generic/tls-internal.h: Modified.
	(__glibc_tls_internal_free): Remove function.
	(__glibc_tls_internal_free): New function.
	* sysdeps/mach/hurd/_Fork.c: Modified.
	(_Fork): Modified function.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	(__getrandom_nocancel): New.
	* sysdeps/nptl/_Fork.c: Modified.
	(_Fork): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/not-cancel.h: Modified.
	(__getrandom_nocancel): New function.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/tls-internal.c: Modified.
	(stdlib/arc4random.h): Include file.
	(string.h): Include file.
	(tls-internal.h): Include file.
	(__glibc_tls_internal_free): New function.
	* sysdeps/unix/sysv/linux/tls-internal.h: Modified.
	(__glibc_tls_internal_free): Remove function.
	(__glibc_tls_internal_free): New function.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-07-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6c4ed247bf5aee6416c8c81a394cf692e068a579
	locale: Optimize tst-localedef-path-norm

	* locale/Makefile: Modified.
	* locale/tst-localedef-path-norm.c: Modified.
	(prog): Modified.
	(run_test): Modified function.
	(do_test): Modified function.
	(array_length.h): Include file.
	(support/xthread.h): Include file.

2022-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ac8047cdf326504f652f7db97ec96c0e0cee052f
	malloc: Simplify implementation of __malloc_assert

	* malloc/malloc.c: Modified.
	[IS_IN (libc)][! NDEBUG](__progname): Remove.
	[IS_IN (libc)][! NDEBUG](void): Modified.
	[IS_IN (libc)][! NDEBUG](__malloc_assert): Modified function.

2022-07-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8b84fb862c3c212b294b5f7bf443cb8372dc5376
	Update scripts/config.* files from upstream GNU config version

	* scripts/config.guess: Modified.
	* scripts/config.sub: Modified.

2022-07-19  Michael Hudson-Doyle  <michael.hudson@canonical.com>

	COMMIT: 1f4e90d4683af3763a360951ea1b5e1f164e028a
	linux: return UNSUPPORTED from tst-mount if entering mount namespace fails

	* sysdeps/unix/sysv/linux/tst-mount.c: Modified.
	(sys/wait.h): Remove include.
	(subprocess): Remove function.
	(do_test): Modified function.

2022-07-16  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 49889fb256a7f9b894b2d16fea23de1ac25b65e2
	x86: Add support to build st{p|r}{n}{cpy|cat} with explicit ISA level

	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-strcpy.h: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-strncpy.h: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/stpcpy-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/stpcpy-evex.S: Modified.
	* sysdeps/x86_64/multiarch/stpcpy-sse2-unaligned.S: Modified.
	* sysdeps/x86_64/multiarch/stpcpy-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/stpncpy-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/stpncpy-evex.S: Modified.
	* sysdeps/x86_64/multiarch/stpncpy-sse2-unaligned.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-sse2-unaligned.S: Modified.
	* sysdeps/x86_64/multiarch/strcat-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strcpy-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strcpy-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strcpy-sse2-unaligned.S: Modified.
	* sysdeps/x86_64/multiarch/strcpy-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strncat-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strncat-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strncat-sse2-unaligned.S: Modified.
	* sysdeps/x86_64/multiarch/strncpy-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strncpy-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strncpy-sse2-unaligned.S: Modified.
	* sysdeps/x86_64/stpcpy.S: Modified.
	* sysdeps/x86_64/stpncpy.S: New file.
	* sysdeps/x86_64/strcat.S: Modified.
	* sysdeps/x86_64/strcpy.S: Modified.
	* sysdeps/x86_64/strncat.S: New file.
	* sysdeps/x86_64/strncpy.S: New file.

2022-07-16  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 192979ee351315b84ff4277d0985f26243717cd7
	x86: Add support to build wcscpy with explicit ISA level

	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/wcscpy-generic.c: Modified.
	[IS_IN (libc)](WCSCPY): Remove.
	(wcsmbs/wcscpy.c): Remove include.
	[ISA_SHOULD_BUILD (1)](WCSCPY): New.
	[ISA_SHOULD_BUILD (1)](wcsmbs/wcscpy.c): New.
	(isa-level.h): Include file.
	* sysdeps/x86_64/multiarch/wcscpy-ssse3.S: Modified.
	* sysdeps/x86_64/multiarch/wcscpy.c: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/wcscpy-generic.c: New file.
	* sysdeps/x86_64/wcscpy.S: New file.

2022-07-16  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: ceabdcd130ca7043b0fcf2676183d79431d10493
	x86: Add support to build strcmp/strlen/strchr with explicit ISA level

	* sysdeps/x86/isa-level.h: Modified.
	(SSE4_1_X86_ISA_LEVEL): New.
	(Slow_SSE42_X86_ISA_LEVEL): New.
	(Slow_BSF_X86_ISA_LEVEL): New.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/memrchr.S: Modified.
	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-avx2.h: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-strcasecmp.h: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-wcslen.h: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/memrchr-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/memrchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/memrchr-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strcasecmp_l-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/strcasecmp_l-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strcasecmp_l-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strcasecmp_l-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strchr-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strchr-sse2-no-bsf.S: Modified.
	* sysdeps/x86_64/multiarch/strchr-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strchr.c: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/strchrnul-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strchrnul-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strchrnul-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-sse2-unaligned.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-sse4_2.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp.c: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/strlen-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strlen-evex-base.S: Modified.
	* sysdeps/x86_64/multiarch/strlen-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strlen-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strncase_l-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/strncase_l-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strncase_l-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strncmp-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/strncmp-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strncmp-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strncmp.c: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/strnlen-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strnlen-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strnlen-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strrchr-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strrchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strrchr-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strstr-sse2-unaligned.S: Modified.
	* sysdeps/x86_64/multiarch/wcschr-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/wcschr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/wcschr-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/wcscmp-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/wcscmp-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/wcscmp-evex.S: Modified.
	* sysdeps/x86_64/multiarch/wcscmp-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/wcslen-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/wcslen-evex.S: Modified.
	* sysdeps/x86_64/multiarch/wcslen-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/wcslen-sse4_1.S: Modified.
	* sysdeps/x86_64/multiarch/wcsncmp-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/wcsncmp-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/wcsncmp-evex.S: Modified.
	* sysdeps/x86_64/multiarch/wcsncmp-generic.c: Modified.
	(WCSNCMP): Remove.
	(wcsmbs/wcsncmp.c): Remove include.
	[ISA_SHOULD_BUILD (2)](WCSNCMP): New.
	[ISA_SHOULD_BUILD (2)](wcsmbs/wcsncmp.c): New.
	(isa-level.h): Include file.
	* sysdeps/x86_64/multiarch/wcsnlen-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/wcsnlen-evex.S: Modified.
	* sysdeps/x86_64/multiarch/wcsnlen-generic.c: Modified.
	[IS_IN (libc)](wchar.h): Remove.
	[IS_IN (libc)](WCSNLEN): Remove.
	[IS_IN (libc)](__wcsnlen_generic): Remove.
	(wcsmbs/wcsnlen.c): Remove include.
	[ISA_SHOULD_BUILD (1)][! WCSNLEN](WCSNLEN): New.
	[ISA_SHOULD_BUILD (1)](wchar.h): New.
	[ISA_SHOULD_BUILD (1)](__wcsnlen_generic): New.
	[ISA_SHOULD_BUILD (1)](wcsmbs/wcsnlen.c): New.
	(isa-level.h): Include file.
	* sysdeps/x86_64/multiarch/wcsnlen-sse4_1.S: Modified.
	* sysdeps/x86_64/multiarch/wcsrchr-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/wcsrchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/wcsrchr-sse2.S: Modified.
	* sysdeps/x86_64/strcasecmp_l.S: Modified.
	* sysdeps/x86_64/strchr-isa-default-impl.h: New file.
	* sysdeps/x86_64/strchr.S: Modified.
	* sysdeps/x86_64/strchrnul.S: Modified.
	* sysdeps/x86_64/strcmp.S: Modified.
	* sysdeps/x86_64/strlen.S: Modified.
	* sysdeps/x86_64/strncase_l.S: Modified.
	* sysdeps/x86_64/strncmp.S: Modified.
	* sysdeps/x86_64/strnlen.S: Modified.
	* sysdeps/x86_64/strrchr.S: Modified.
	* sysdeps/x86_64/wcschr.S: Modified.
	* sysdeps/x86_64/wcscmp.S: Modified.
	* sysdeps/x86_64/wcslen.S: Modified.
	* sysdeps/x86_64/wcsncmp-generic.c: New file.
	* sysdeps/x86_64/wcsncmp.S: New file.
	* sysdeps/x86_64/wcsnlen-generic.c: New file.
	* sysdeps/x86_64/wcsnlen.S: New file.
	* sysdeps/x86_64/wcsrchr.S: Modified.

2022-07-15  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c353689e49e72f3aafa1a9e68d4f7a4f33a79cbe
	elf: Fix wrong fscanf usage on tst-pldd

	* elf/tst-pldd.c: Modified.
	(do_test): Modified function.

2022-07-14  Tulio Magno Quites Machado Filho  <tuliom@linux.ibm.com>

	COMMIT: d0fa09a7701956036ff36f8ca188e9fff81553d8
	Apply asm redirections in stdio.h before first use [BZ #27087]

	* include/bits/stdio2-decl.h: New file.
	* libio/Makefile: Modified.
	* libio/bits/stdio2-decl.h: New file.
	* libio/bits/stdio2.h: Modified.
	[__GLIBC_USE (DEPRECATED_GETS)](__wur): Remove.
	[__USE_FORTIFY_LEVEL > 1][__USE_GNU](__wur): Remove.
	[__USE_FORTIFY_LEVEL > 1][__USE_GNU](__wur): Remove.
	[__USE_FORTIFY_LEVEL > 1][__USE_GNU](__obstack_printf_chk): Remove.
	[__USE_FORTIFY_LEVEL > 1][__USE_GNU](__obstack_vprintf_chk): Remove.
	[__USE_FORTIFY_LEVEL > 1][__USE_XOPEN2K8](__dprintf_chk): Remove.
	[__USE_FORTIFY_LEVEL > 1][__USE_XOPEN2K8](__vdprintf_chk): Remove.
	[__USE_FORTIFY_LEVEL > 1](__fprintf_chk): Remove.
	[__USE_FORTIFY_LEVEL > 1](__printf_chk): Remove.
	[__USE_FORTIFY_LEVEL > 1](__vfprintf_chk): Remove.
	[__USE_FORTIFY_LEVEL > 1](__vprintf_chk): Remove.
	[__USE_GNU](__fgets_unlocked_chk): Remove.
	[__USE_ISOC99 ||  __USE_UNIX98](__snprintf_chk): Remove.
	[__USE_ISOC99 ||  __USE_UNIX98](__vsnprintf_chk): Remove.
	[__USE_MISC](__wur): Modified.
	[__USE_MISC](__wur): Remove.
	(__sprintf_chk): Remove.
	(__vsprintf_chk): Remove.
	(__fgets_chk): Remove.
	(__wur): Modified.
	(__wur): Remove.
	* libio/stdio.h: Modified.
	[__USE_FORTIFY_LEVEL > 0 &&  __forty_function](bits/stdio2-decl.h): Include file.
	(bits/floatn.h): Remove include.

2022-07-14  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 779aa039fc4151bdc0d79ef2e141604863856a60
	S390: Define SINGLE_THREAD_BY_GLOBAL only on s390x

	* sysdeps/unix/sysv/linux/s390/single-thread.h: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-64/single-thread.h: ... here.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 7c8ca1789393323541719df4b636e4853284ff47
	x86: Add missing rtm tests for strcmp family

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/tst-strcasecmp-rtm.c: New file.
	* sysdeps/x86/tst-strcmp-rtm.c: New file.
	* sysdeps/x86/tst-strncasecmp-rtm.c: New file.
	* sysdeps/x86/tst-strncmp-rtm.c: Modified.
	[! WIDE](STRNCMP): Remove.
	[! WIDE](TEST_NAME): Remove.
	[! WIDE][! STRNCMP](STRNCMP): New.
	[! WIDE][! STRNCMP](TEST_NAME): New.
	* sysdeps/x86/tst-wcscmp-rtm.c: New file.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 42b014dd1b92b4cd0afbff901a82d8b0a82d36a8
	x86: Remove unneeded rtld-wmemcmp

	* sysdeps/x86_64/multiarch/rtld-wmemcmp.S: Delete file.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: e19bb87c97a3a109c418f68cebbea27ebc2808f9
	x86: Move wcslen SSE2 implementation to multiarch/wcslen-sse2.S

	* sysdeps/x86_64/multiarch/wcslen-sse2.S: Modified.
	* sysdeps/x86_64/wcslen.S: Modified.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 64479f11b721fa33d17d623db31d047a11f363a1
	x86: Move wcschr SSE2 implementation to multiarch/wcschr-sse2.S

	* sysdeps/x86_64/multiarch/wcschr-sse2.S: Modified.
	* sysdeps/x86_64/wcschr.S: Modified.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 72a48ec0f78c7fd948fe476eb41f69c071f48964
	x86: Move strcat SSE2 implementation to multiarch/strcat-sse2.S

	* sysdeps/x86_64/multiarch/strcat-sse2.S: Modified.
	* sysdeps/x86_64/strcat.S: Modified.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: cd080d07410426c5ce211509eb0d8fd0901f673a
	x86: Move strchr SSE2 implementation to multiarch/strchr-sse2.S

	* sysdeps/x86_64/multiarch/rtld-strchr.S: New file.
	* sysdeps/x86_64/multiarch/rtld-strchrnul.S: New file.
	* sysdeps/x86_64/multiarch/strchr-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strchrnul-sse2.S: Modified.
	* sysdeps/x86_64/strchr.S: Modified.
	* sysdeps/x86_64/strchrnul.S: Modified.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 425647458b03652526f670da7a0c2605513cf450
	x86: Move strrchr SSE2 implementation to multiarch/strrchr-sse2.S

	* sysdeps/x86_64/multiarch/strrchr-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/wcsrchr-sse2.S: Modified.
	* sysdeps/x86_64/strrchr.S: Modified.
	* sysdeps/x86_64/wcsrchr.S: Modified.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 08af081ffd3baa371435da0c6906453e9c8be5f5
	x86: Move memrchr SSE2 implementation to multiarch/memrchr-sse2.S

	* sysdeps/x86_64/memrchr.S: Modified.
	* sysdeps/x86_64/multiarch/memrchr-sse2.S: Modified.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 6b9006bfb03c5975f31de286311041d3c933f5ac
	x86: Move strcpy SSE2 implementation to multiarch/strcpy-sse2.S

	* sysdeps/x86_64/multiarch/rtld-stpcpy.S: New file.
	* sysdeps/x86_64/multiarch/stpcpy-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strcpy-sse2.S: Modified.
	* sysdeps/x86_64/stpcpy.S: Modified.
	* sysdeps/x86_64/strcpy.S: Modified.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 58e6cd4bcbe9f29949f1545953a17145bf732aa0
	x86: Move strlen SSE2 implementation to multiarch/strlen-sse2.S

	* sysdeps/x86_64/multiarch/rtld-strlen.S: New file.
	* sysdeps/x86_64/multiarch/rtld-strnlen.S: New file.
	* sysdeps/x86_64/multiarch/strlen-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strlen-vec.S: Delete file.
	* sysdeps/x86_64/multiarch/strnlen-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/wcslen-sse4_1.S: Modified.
	* sysdeps/x86_64/multiarch/wcsnlen-sse4_1.S: Modified.
	* sysdeps/x86_64/strlen.S: Modified.
	* sysdeps/x86_64/strnlen.S: Modified.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 60a583ec601351c7d9b026e6a62ee6bab0cbf80b
	x86: Move strcmp SSE42 implementation to multiarch/strcmp-sse4_2.S

	* sysdeps/x86_64/multiarch/strcasecmp_l-sse4_2.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-sse42.S: Delete file.
	* sysdeps/x86_64/multiarch/strcmp-sse4_2.S: Modified.
	* sysdeps/x86_64/multiarch/strncase_l-sse4_2.S: Modified.
	* sysdeps/x86_64/multiarch/strncmp-sse4_2.S: Modified.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 427eaa2c8547d61e1b1a09be5d58992ed5211c67
	x86: Move wcscmp SSE2 implementation to multiarch/wcscmp-sse2.S

	* sysdeps/x86_64/multiarch/wcscmp-sse2.S: Modified.
	* sysdeps/x86_64/wcscmp.S: Modified.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: d561fbb041fe6aa205f652aecefe4bb84fd124a5
	x86: Move strcmp SSE2 implementation to multiarch/strcmp-sse2.S

	* sysdeps/x86_64/multiarch/rtld-strcmp.S: New file.
	* sysdeps/x86_64/multiarch/rtld-strncmp.S: New file.
	* sysdeps/x86_64/multiarch/strcasecmp_l-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-naming.h: New file.
	* sysdeps/x86_64/multiarch/strcmp-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strncase_l-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/strncmp-sse2.S: Modified.
	* sysdeps/x86_64/strcasecmp_l.S: Modified.
	* sysdeps/x86_64/strcmp.S: Modified.
	* sysdeps/x86_64/strncase_l.S: Modified.
	* sysdeps/x86_64/strncmp.S: Modified.

2022-07-13  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 30e57e0a21cc50eead14f729a29a5604a6b23e18
	x86: Rename STRCASECMP_NONASCII macro to STRCASECMP_L_NONASCII

	* sysdeps/x86_64/multiarch/strcmp-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-evex.S: Modified.

2022-07-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f27e5e21787abc9f719879af47687221aa1027b3
	nptl: Fix ___pthread_unregister_cancel_restore asynchronous restore

	* nptl/cleanup_defer.c: Modified.
	(___pthread_unregister_cancel_restore): Modified function.

2022-07-12  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: f2698954ff9c2f9626d4bcb5a30eb5729714e0b0
	x86: Remove __mmask intrinsics in strstr-avx512.c

	* sysdeps/x86_64/multiarch/strstr-avx512.c: Modified.
	(__strstr_avx512): Modified function.
	(cvtmask64_u64): New.
	(kshiftri_mask64): New.
	(kand_mask64): New.

2022-07-12  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 9c38deec96ebe1b052a0c1bef137b90967755f18
	x86: Remove generic strncat, strncpy, and stpncpy implementations

	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-strcpy.h: Modified.
	[! GENERIC](GENERIC): Remove.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-strncpy.h: New file.
	* sysdeps/x86_64/multiarch/stpncpy-generic.c: Delete file.
	* sysdeps/x86_64/multiarch/stpncpy.c: Modified.
	(GENERIC): Remove.
	(ifunc-strcpy.h): Remove include.
	(ifunc-strncpy.h): Include file.
	* sysdeps/x86_64/multiarch/strncat-generic.c: Delete file.
	* sysdeps/x86_64/multiarch/strncat.c: Modified.
	(GENERIC): Remove.
	(ifunc-strcpy.h): Remove include.
	(ifunc-strncpy.h): Include file.
	* sysdeps/x86_64/multiarch/strncpy-generic.c: Delete file.
	* sysdeps/x86_64/multiarch/strncpy.c: Modified.
	(GENERIC): Remove.
	(ifunc-strcpy.h): Remove include.
	(ifunc-strncpy.h): Include file.

2022-07-12  Fangrui Song  <maskray@google.com>

	COMMIT: c5bec9d491c5d066dd238ccafcdec78cd4592e8e
	i386: Remove -Wa,-mtune=i686

	* sysdeps/i386/i686/Makefile: Modified.

2022-07-08  H.J. Lu  <hjl.tools@gmail.com>
            Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: ec9013727d75da0e61f4527780a7227b5b2e81ba
	x86-64: Remove redundant strcspn-generic/strpbrk-generic/strspn-generic

	* sysdeps/x86_64/multiarch/Makefile: Modified.

2022-07-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2a5b4f7a715921a232f67f6810268c6cd6aa0af2
	elf: Rename tst-audit26 to tst-audit28

	* elf/Makefile: Modified.
	* elf/tst-audit26.c: Move to...
	* elf/tst-audit28.c: ... here.
	* elf/tst-auditmod26.c: Move to...
	* elf/tst-auditmod28.c: ... here.

2022-07-07  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: eedf7886ed81750d0f81735034682cf0a4d8bee1
	x86-64: Don't mark symbols as hidden in strcmp-XXX.S

	* sysdeps/x86_64/multiarch/strcmp-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strcmp-sse42.S: Modified.

2022-07-06  Tom Honermann  <tom@honermann.net>

	COMMIT: f4fe72a4f7b22588a7c902e39ddd3dcd244bbf9f
	stdlib: Tests for mbrtoc8, c8rtomb, and the char8_t typedef.

	* wcsmbs/Makefile: Modified.
	* wcsmbs/test-c8rtomb.c: New file.
	* wcsmbs/test-mbrtoc8.c: New file.

2022-07-06  Tom Honermann  <tom@honermann.net>

	COMMIT: 8bcca1db3d7c0dc900a4cad4054c1439baf73684
	stdlib: Implement mbrtoc8, c8rtomb, and the char8_t typedef.

	* NEWS: Modified.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* wcsmbs/Makefile: Modified.
	* wcsmbs/Versions: Modified.
	* wcsmbs/c8rtomb.c: New file.
	* wcsmbs/mbrtoc8.c: New file.
	* wcsmbs/uchar.h: Modified.
	[__GLIBC_USE (ISOC2X) && ! __cpp_char8_t](char8_t): New.
	[__GLIBC_USE (ISOC2X) ||  __cpp_char8_t](mbrtoc8): New.
	[__GLIBC_USE (ISOC2X) ||  __cpp_char8_t](c8rtomb): New.

2022-07-06  Tom Honermann  <tom@honermann.net>

	COMMIT: 598f790fb17bcfff7fedde5209933a82d7748328
	gconv: Correct Big5-HKSCS conversion to preserve all state bits. [BZ #25744]

	* iconvdata/big5hkscs.c: Modified.
	(EMIT_SHIFT_TO_INIT): Modified.
	(BODY): Modified.
	* iconvdata/tst-iconv-big5-hkscs-to-2ucs4.c: Modified.
	(check_conversion): Modified function.

2022-07-06  Danila Kutenin  <danilak@google.com>

	COMMIT: 3c9980698988ef64072f1fac339b180f52792faf
	aarch64: Optimize string functions with shrn instruction

	* sysdeps/aarch64/memchr.S: Modified.
	* sysdeps/aarch64/memrchr.S: Modified.
	* sysdeps/aarch64/strchrnul.S: Modified.
	* sysdeps/aarch64/strcpy.S: Modified.
	* sysdeps/aarch64/strlen.S: Modified.
	* sysdeps/aarch64/strnlen.S: Modified.

2022-07-05  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: bd0b58837c7df091046e7531642f379a52e1e157
	test-container: return UNSUPPORTED for ENOSPC on clone()

	* support/test-container.c: Modified.
	(check_for_unshare_hints): Modified function.
	(main): Modified function.
	(array_length.h): Include file.

2022-07-05  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: ae308947ff0fa950431d53bcc90c875295d57715
	x86: Add support for building {w}memcmp{eq} with explicit ISA level

	* sysdeps/x86/cpu-tunables.c: Modified.
	[USE_MULTIARCH && ! SHARED][__x86_64__](DEFAULT_MEMCMP): Remove.
	[USE_MULTIARCH && ! SHARED][__x86_64__](sysdeps/x86_64/memcmp-isa-default-impl.h): Include file.
	* sysdeps/x86_64/memcmp-isa-default-impl.h: New file.
	* sysdeps/x86_64/memcmp.S: Modified.
	* sysdeps/x86_64/memcmpeq.S: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-memcmp.h: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-memcmpeq.h: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/memcmp-avx2-movbe.S: Modified.
	* sysdeps/x86_64/multiarch/memcmp-evex-movbe.S: Modified.
	* sysdeps/x86_64/multiarch/memcmp-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/memcmpeq-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/memcmpeq-evex.S: Modified.
	* sysdeps/x86_64/multiarch/memcmpeq-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/rtld-memcmp.S: New file.
	* sysdeps/x86_64/multiarch/rtld-memcmpeq.S: New file.
	* sysdeps/x86_64/multiarch/rtld-wmemcmp.S: New file.
	* sysdeps/x86_64/multiarch/wmemcmp-avx2-movbe.S: Modified.
	* sysdeps/x86_64/multiarch/wmemcmp-evex-movbe.S: Modified.
	* sysdeps/x86_64/multiarch/wmemcmp-sse2.S: Modified.
	* sysdeps/x86_64/wmemcmp.S: Modified.

2022-07-05  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 37ecc657b22c3367a56df5ebd53908e34e65fa16
	x86: Add support for building {w}memset{_chk} with explicit ISA level

	* sysdeps/x86_64/memset.S: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-memset.h: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-wmemset.h: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/memset-avx2-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-avx512-no-vzeroupper.S: Modified.
	* sysdeps/x86_64/multiarch/memset-avx512-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-evex-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-sse2-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/rtld-memset.S: New file.

2022-07-05  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: b6a02c360655cbb84772bb577fcd8ae54d7f6d82
	x86: Add support for building {w}memmove{_chk} with explicit ISA level

	* sysdeps/x86_64/memmove.S: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-memmove.h: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/memmove-avx-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-avx512-no-vzeroupper.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-avx512-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-evex-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-shlib-compat.h: New file.
	* sysdeps/x86_64/multiarch/memmove-sse2-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memmove-ssse3.S: Modified.
	* sysdeps/x86_64/multiarch/rtld-memmove.S: New file.

2022-07-05  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: c69f960b017b2cdf39335739009526a72fb20379
	x86: Add support for building str{c|p}{brk|spn} with explicit ISA level

	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	* sysdeps/x86_64/multiarch/ifunc-sse4_2.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/rtld-strcspn.c: New file.
	* sysdeps/x86_64/multiarch/strcspn-generic.c: Modified.
	[IS_IN (libc)](sysdep.h): Remove.
	[IS_IN (libc)](STRCSPN): Remove.
	[IS_IN (libc)](libc_hidden_builtin_def): Remove.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](sysdep.h): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](STRCSPN): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](libc_hidden_builtin_def): New.
	(isa-level.h): Include file.
	* sysdeps/x86_64/multiarch/strcspn-sse4.c: Modified.
	[! STRCSPN_GENERIC](STRCSPN_GENERIC): Remove.
	[! STRCSPN_GENERIC](STRCSPN_SSE42): Remove.
	[! USE_AS_STRPBRK](RETURN): Remove.
	[! USE_AS_STRPBRK](STRCSPN_GENERIC): Remove.
	[! USE_AS_STRPBRK](STRCSPN_SSE42): Remove.
	[USE_AS_STRPBRK](RETURN): Remove.
	[USE_AS_STRPBRK](STRCSPN_GENERIC): Remove.
	[USE_AS_STRPBRK](STRCSPN_SSE42): Remove.
	(nmmintrin.h): Remove include.
	(string.h): Remove include.
	(varshift.h): Remove include.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2][! STRCSPN](STRCSPN): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2][! STRCSPN_GENERIC](STRCSPN_GENERIC): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2][! USE_AS_STRPBRK](RETURN): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2][! USE_AS_STRPBRK](STRCSPN_GENERIC): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2][! USE_AS_STRPBRK](STRCSPN): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2][USE_AS_STRPBRK](RETURN): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2][USE_AS_STRPBRK](STRCSPN_GENERIC): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2][USE_AS_STRPBRK](STRCSPN): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](nmmintrin.h): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](string.h): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](varshift.h): New.
	(isa-level.h): Include file.
	* sysdeps/x86_64/multiarch/strpbrk-generic.c: Modified.
	[IS_IN (libc)](sysdep.h): Remove.
	[IS_IN (libc)](STRPBRK): Remove.
	[IS_IN (libc)](libc_hidden_builtin_def): Remove.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](sysdep.h): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](STRPBRK): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](libc_hidden_builtin_def): New.
	(isa-level.h): Include file.
	* sysdeps/x86_64/multiarch/strpbrk-sse4.c: Modified.
	(STRCSPN_SSE42): Remove.
	[! STRPBRK](STRPBRK): New.
	(STRCSPN): New.
	* sysdeps/x86_64/multiarch/strspn-generic.c: Modified.
	[IS_IN (libc)](sysdep.h): Remove.
	[IS_IN (libc)](STRSPN): Remove.
	[IS_IN (libc)](libc_hidden_builtin_def): Remove.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](sysdep.h): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](STRSPN): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](libc_hidden_builtin_def): New.
	(isa-level.h): Include file.
	* sysdeps/x86_64/multiarch/strspn-sse4.c: Modified.
	(__strspn_sse42): Remove function.
	[! STRSPN](STRSPN): New.
	(STRSPN): New function.
	* sysdeps/x86_64/multiarch/varshift.c: Modified.
	(stdint.h): Remove include.
	(___m128i_shift_right): Remove.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](stdint.h): New.
	[IS_IN (libc) || MINIMUM_X86_ISA_LEVEL >= 2](___m128i_shift_right): New.
	(isa-level.h): Include file.
	* sysdeps/x86_64/strcspn-generic.c: New file.
	* sysdeps/x86_64/strcspn.c: New file.
	* sysdeps/x86_64/strpbrk-generic.c: New file.
	* sysdeps/x86_64/strpbrk.c: New file.
	* sysdeps/x86_64/strspn-generic.c: New file.
	* sysdeps/x86_64/strspn.c: New file.
	* sysdeps/x86_64/varshift.c: New file.

2022-07-05  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: baeae86fb8ccd85b6bf9b5091884fa9b66d84a99
	x86: Add comment explaining no Slow_SSE4_2 check in ifunc-sse4_2

	* sysdeps/x86_64/multiarch/ifunc-sse4_2.h: Modified.

2022-07-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e070501d12b47e88c1ff8c313f887976fb578938
	Replace __libc_multiple_threads with __libc_single_threaded

	* nptl/Makefile: Modified.
	* nptl/allocatestack.c: Modified.
	(allocate_stack): Modified function.
	* nptl/libc_multiple_threads.c: Delete file.
	* nptl/pthread_cancel.c: Modified.
	(__pthread_cancel): Modified function.
	* posix/fork.c: Modified.
	(__libc_fork): Modified function.
	* sysdeps/nptl/setxid.h: Modified.
	(INLINE_SETXID_SYSCALL): Modified.
	* sysdeps/unix/sysv/linux/aarch64/single-thread.h: New file.
	* sysdeps/unix/sysv/linux/aarch64/sysdep.h: Modified.
	[! __ASSEMBLER__](SINGLE_THREAD_BY_GLOBAL): Remove.
	* sysdeps/unix/sysv/linux/alpha/sysdep.h: Modified.
	(SINGLE_THREAD_BY_GLOBAL): Remove.
	* sysdeps/unix/sysv/linux/arc/single-thread.h: New file.
	* sysdeps/unix/sysv/linux/arc/sysdep.h: Modified.
	[! __ASSEMBLER__](SINGLE_THREAD_BY_GLOBAL): Remove.
	* sysdeps/unix/sysv/linux/arm/single-thread.h: New file.
	* sysdeps/unix/sysv/linux/arm/sysdep.h: Modified.
	[! __ASSEMBLER__](SINGLE_THREAD_BY_GLOBAL): Remove.
	* sysdeps/unix/sysv/linux/hppa/single-thread.h: New file.
	* sysdeps/unix/sysv/linux/hppa/sysdep.h: Modified.
	(SINGLE_THREAD_BY_GLOBAL): Remove.
	* sysdeps/unix/sysv/linux/microblaze/single-thread.h: New file.
	* sysdeps/unix/sysv/linux/microblaze/sysdep.h: Modified.
	[! __ASSEMBLER__](SINGLE_THREAD_BY_GLOBAL): Remove.
	* sysdeps/unix/sysv/linux/s390/single-thread.h: New file.
	* sysdeps/unix/sysv/linux/s390/sysdep.h: Modified.
	(SINGLE_THREAD_BY_GLOBAL): Remove.
	* sysdeps/unix/sysv/linux/single-thread.h: Modified.
	[! __ASSEMBLER__](__libc_multiple_threads): Remove.
	[! __ASSEMBLER__](libc_hidden_proto): Remove.
	[! __ASSEMBLER__](sys/single_threaded.h): Include file.
	[!(! SINGLE_THREAD_BY_GLOBAL || IS_IN (rtld))](SINGLE_THREAD_P): Modified.
	* sysdeps/unix/sysv/linux/x86_64/single-thread.h: New file.
	* sysdeps/unix/sysv/linux/x86_64/sysdep.h: Modified.
	[! __ASSEMBLER__](SINGLE_THREAD_BY_GLOBAL): Remove.

2022-07-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: af1aa36c617d72e80ff6b268bf927b6642d90823
	linux: Add mount_setattr

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/mount.h: Modified.
	(stdint.h): Include file.
	(stddef.h): Include file.
	(mount_attr): New.
	(MOUNT_ATTR_SIZE_VER0): New.
	(mount_setattr): New function.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-mount.c: Modified.
	(subprocess): Modified function.
	(_Static_assert): New function.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-07-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c3b02b6567e5709614eb24c85c3c0b69ae5c58a6
	linux: Add tst-mount to check for Linux new mount API

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-mount.c: New file.

2022-07-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 78a408ee7ba041fc8d5dbd5f67065b4a982c11e5
	linux: Add open_tree

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/mount.h: Modified.
	(fcntl.h): Include file.
	(OPEN_TREE_CLONE): New.
	(OPEN_TREE_CLOEXEC): New.
	(open_tree): New function.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-07-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 60f574e140edddc1dab88ed85eb494ec359d6408
	linux: Add fspick

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/mount.h: Modified.
	(FSPICK_CLOEXEC): New.
	(FSPICK_SYMLINK_NOFOLLOW): New.
	(FSPICK_NO_AUTOMOUNT): New.
	(FSPICK_EMPTY_PATH): New.
	(fspick): New function.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-07-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7eae6a91e9b1670330c9f15730082c91c0b1d570
	linux: Add fsconfig

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/mount.h: Modified.
	(fsconfig_command): New.
	(fsconfig): New function.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-07-05  Tejas Belagod  <Tejas.Belagod@arm.com>

	COMMIT: 05844d18f7893bf96965f163c428214fd5ebe10a
	AArch64: Reset HWCAP2_AFP bits in FPCR for default fenv

	* sysdeps/aarch64/fpu/fpu_control.h: Modified.
	(_FPU_RESERVED): Modified.

2022-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a9f9ee2381944cee8b4b50c5c8321e3529c77e49
	elf: Fix direction of NODELETE log messages during symbol lookup

	* elf/dl-lookup.c: Modified.
	(add_dependency): Modified function.

2022-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7519dee356a0ab21c8990e59ed05dd48a4e573a0
	malloc: Simplify checked_request2size interface

	* malloc/malloc-check.c: Modified.
	(realloc_check): Modified function.
	* malloc/malloc.c: Modified.
	[IS_IN (libc)](__libc_malloc): Modified function.
	[IS_IN (libc)](__libc_realloc): Modified function.
	(checked_request2size): Modified function.
	(_int_malloc): Modified function.
	(_int_memalign): Modified function.

2022-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ef0700004bf0dccf493a5e8e21f71d9e7972ea9f
	stdlib: Simplify buffer management in canonicalize

	* stdlib/canonicalize.c: Modified.
	[! _LIBC](__strdup): New.
	[_LIBC || !FUNC_REALPATH_WORKS][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_3)](__old_realpath): Remove.
	[_LIBC || !FUNC_REALPATH_WORKS][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_3)](compat_symbol): Remove.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)][GCC_LINT ||  lint](realpath_stk): Remove.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)][__OPTIMIZE__ && !__NO_INLINE__](GCC_BOGUS_WRETURN_LOCAL_ADDR): Remove.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)](__realpath): Remove.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)](libc_hidden_def): Remove.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)](versioned_symbol): Remove.
	[_LIBC || !FUNC_REALPATH_WORKS](__canonicalize_file_name): Remove function.
	[_LIBC || !FUNC_REALPATH_WORKS](weak_alias): Remove.
	[_LIBC || !FUNC_REALPATH_WORKS](realpath_bufs): New.
	[_LIBC || !FUNC_REALPATH_WORKS](realpath_stk): New function.
	[_LIBC || !FUNC_REALPATH_WORKS](__realpath): New function.
	[_LIBC || !FUNC_REALPATH_WORKS](libc_hidden_def): New.
	[_LIBC || !FUNC_REALPATH_WORKS](versioned_symbol): New function.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_3)](__old_realpath): New.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_3)](compat_symbol): New.
	(__canonicalize_file_name): New function.
	(weak_alias): New.

2022-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9d77023bf33ca5d0b07c318fe9fbe4347f0ae25a
	localedef: Support building for older C standards

	* locale/programs/linereader.c: Modified.
	(lr_token): Modified function.

2022-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 01441ae33307c9c496e757c00c8b7ffa088f4055
	de_DE: Convert to UTF-8

	* localedata/locales/de_DE: Modified.

2022-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b15538d77c6a7893c8bb42831dcd3a1a12b727d4
	locale: localdef input files are now encoded in UTF-8

	* NEWS: Modified.
	* locale/programs/linereader.c: Modified.
	(lr_token): Modified function.
	(get_string): Modified function.
	(utf8_decode): New function.
	(utf8_valid_trailing): New function.
	(utf8_sequence_error): New function.
	(utf8_decode): New function.

2022-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7dcaabb94caa00c9dd68a207ea62fef5a2551ac4
	locale: Introduce translate_unicode_codepoint into linereader.c

	* locale/programs/linereader.c: Modified.
	(get_string): Modified function.
	(translate_unicode_codepoint): New function.

2022-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 19d494445981a09503e4a0175732745c39dd7c21
	locale: Fix signed char bug in lr_getc

	* locale/programs/linereader.h: Modified.
	(lr_getc): Modified function.

2022-07-05  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5dcbff5879a7d25e0dd511f4a71c039aa015e6a4
	locale: Turn ADDC and ADDS into functions in linereader.c

	* locale/programs/linereader.c: Modified.
	(ADDC): Remove.
	(ADDS): Remove.
	(get_symname): Modified function.
	(get_ident): Modified function.
	(get_string): Modified function.
	(lr_buffer): New.
	(lr_buffer_init): New function.
	(lr_buffer_to_token): New function.
	(addc): New function.
	(adds): New function.

2022-07-04  Fangrui Song  <maskray@google.com>

	COMMIT: 62595e89447c09fe4e34cd9fc1d4cf1b7f3ecb33
	libc-symbols.h: remove unused macros

	* include/libc-symbols.h: Modified.
	[! _ISOMAC][! __ASSEMBLER__](weak_hidden_alias): Remove.
	[! _ISOMAC][! __ASSEMBLER__](_weak_hidden_alias): Remove.
	[! _ISOMAC][! __ASSEMBLER__](declare_symbol_alias): Remove.
	[! _ISOMAC][! __ASSEMBLER__](declare_symbol_alias_1): Remove.
	[! _ISOMAC][! __ASSEMBLER__](attribute_compat_data_section): Remove.
	[! _ISOMAC][!(IS_IN (libanl))](libanl_hidden_def): Remove.
	[! _ISOMAC][!(IS_IN (libc))](libc_hidden_data_ver): Remove.
	[! _ISOMAC][!(IS_IN (libdl))](libdl_hidden_proto): Remove.
	[! _ISOMAC][!(IS_IN (libdl))](libdl_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (libdl))](libdl_hidden_def): Remove.
	[! _ISOMAC][!(IS_IN (libdl))](libdl_hidden_weak): Remove.
	[! _ISOMAC][!(IS_IN (libdl))](libdl_hidden_ver): Remove.
	[! _ISOMAC][!(IS_IN (libdl))](libdl_hidden_data_def): Remove.
	[! _ISOMAC][!(IS_IN (libdl))](libdl_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (libdl))](libdl_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (libdl))](libdl_hidden_data_ver): Remove.
	[! _ISOMAC][!(IS_IN (libm))](libm_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (libm))](libm_hidden_data_def): Remove.
	[! _ISOMAC][!(IS_IN (libm))](libm_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (libm))](libm_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (libm))](libm_hidden_data_ver): Remove.
	[! _ISOMAC][!(IS_IN (libmvec))](libmvec_hidden_proto): Remove.
	[! _ISOMAC][!(IS_IN (libmvec))](libmvec_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (libmvec))](libmvec_hidden_weak): Remove.
	[! _ISOMAC][!(IS_IN (libmvec))](libmvec_hidden_ver): Remove.
	[! _ISOMAC][!(IS_IN (libmvec))](libmvec_hidden_data_def): Remove.
	[! _ISOMAC][!(IS_IN (libmvec))](libmvec_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (libmvec))](libmvec_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (libmvec))](libmvec_hidden_data_ver): Remove.
	[! _ISOMAC][!(IS_IN (libnsl))](libnsl_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (libnsl))](libnsl_hidden_weak): Remove.
	[! _ISOMAC][!(IS_IN (libnsl))](libnsl_hidden_ver): Remove.
	[! _ISOMAC][!(IS_IN (libnsl))](libnsl_hidden_data_def): Remove.
	[! _ISOMAC][!(IS_IN (libnsl))](libnsl_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (libnsl))](libnsl_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (libnsl))](libnsl_hidden_data_ver): Remove.
	[! _ISOMAC][!(IS_IN (libpthread))](libpthread_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (libpthread))](libpthread_hidden_weak): Remove.
	[! _ISOMAC][!(IS_IN (libpthread))](libpthread_hidden_ver): Remove.
	[! _ISOMAC][!(IS_IN (libpthread))](libpthread_hidden_data_def): Remove.
	[! _ISOMAC][!(IS_IN (libpthread))](libpthread_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (libpthread))](libpthread_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (libpthread))](libpthread_hidden_data_ver): Remove.
	[! _ISOMAC][!(IS_IN (libresolv))](libresolv_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (libresolv))](libresolv_hidden_weak): Remove.
	[! _ISOMAC][!(IS_IN (libresolv))](libresolv_hidden_ver): Remove.
	[! _ISOMAC][!(IS_IN (libresolv))](libresolv_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (libresolv))](libresolv_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (libresolv))](libresolv_hidden_data_ver): Remove.
	[! _ISOMAC][!(IS_IN (librt))](librt_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (librt))](librt_hidden_def): Remove.
	[! _ISOMAC][!(IS_IN (librt))](librt_hidden_weak): Remove.
	[! _ISOMAC][!(IS_IN (librt))](librt_hidden_data_def): Remove.
	[! _ISOMAC][!(IS_IN (librt))](librt_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (librt))](librt_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (librt))](librt_hidden_data_ver): Remove.
	[! _ISOMAC][!(IS_IN (libutil))](libutil_hidden_proto): Remove.
	[! _ISOMAC][!(IS_IN (libutil))](libutil_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (libutil))](libutil_hidden_def): Remove.
	[! _ISOMAC][!(IS_IN (libutil))](libutil_hidden_weak): Remove.
	[! _ISOMAC][!(IS_IN (libutil))](libutil_hidden_ver): Remove.
	[! _ISOMAC][!(IS_IN (libutil))](libutil_hidden_data_def): Remove.
	[! _ISOMAC][!(IS_IN (libutil))](libutil_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (libutil))](libutil_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (libutil))](libutil_hidden_data_ver): Remove.
	[! _ISOMAC][!(IS_IN (rtld))](rtld_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (rtld))](rtld_hidden_ver): Remove.
	[! _ISOMAC][!(IS_IN (rtld))](rtld_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (rtld))](rtld_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (rtld))](rtld_hidden_data_ver): Remove.
	[! _ISOMAC][!(SHARED && ! NO_HIDDEN)](hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (libanl)](libanl_hidden_def): Remove.
	[! _ISOMAC][IS_IN (libc)](libc_hidden_def_alias): Remove.
	[! _ISOMAC][IS_IN (libc)](libc_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (libdl)](libdl_hidden_proto): Remove.
	[! _ISOMAC][IS_IN (libdl)](libdl_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (libdl)](libdl_hidden_def): Remove.
	[! _ISOMAC][IS_IN (libdl)](libdl_hidden_weak): Remove.
	[! _ISOMAC][IS_IN (libdl)](libdl_hidden_ver): Remove.
	[! _ISOMAC][IS_IN (libdl)](libdl_hidden_data_def): Remove.
	[! _ISOMAC][IS_IN (libdl)](libdl_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (libdl)](libdl_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (libdl)](libdl_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (libm)](libm_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (libm)](libm_hidden_data_def): Remove.
	[! _ISOMAC][IS_IN (libm)](libm_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (libm)](libm_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (libm)](libm_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (libmvec)](libmvec_hidden_proto): Remove.
	[! _ISOMAC][IS_IN (libmvec)](libmvec_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (libmvec)](libmvec_hidden_weak): Remove.
	[! _ISOMAC][IS_IN (libmvec)](libmvec_hidden_ver): Remove.
	[! _ISOMAC][IS_IN (libmvec)](libmvec_hidden_data_def): Remove.
	[! _ISOMAC][IS_IN (libmvec)](libmvec_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (libmvec)](libmvec_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (libmvec)](libmvec_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (libnsl)](libnsl_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (libnsl)](libnsl_hidden_weak): Remove.
	[! _ISOMAC][IS_IN (libnsl)](libnsl_hidden_ver): Remove.
	[! _ISOMAC][IS_IN (libnsl)](libnsl_hidden_data_def): Remove.
	[! _ISOMAC][IS_IN (libnsl)](libnsl_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (libnsl)](libnsl_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (libnsl)](libnsl_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (libpthread)](libpthread_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (libpthread)](libpthread_hidden_weak): Remove.
	[! _ISOMAC][IS_IN (libpthread)](libpthread_hidden_ver): Remove.
	[! _ISOMAC][IS_IN (libpthread)](libpthread_hidden_data_def): Remove.
	[! _ISOMAC][IS_IN (libpthread)](libpthread_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (libpthread)](libpthread_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (libpthread)](libpthread_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (libresolv)](libresolv_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (libresolv)](libresolv_hidden_weak): Remove.
	[! _ISOMAC][IS_IN (libresolv)](libresolv_hidden_ver): Remove.
	[! _ISOMAC][IS_IN (libresolv)](libresolv_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (libresolv)](libresolv_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (libresolv)](libresolv_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (librt)](librt_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (librt)](librt_hidden_def): Remove.
	[! _ISOMAC][IS_IN (librt)](librt_hidden_weak): Remove.
	[! _ISOMAC][IS_IN (librt)](librt_hidden_data_def): Remove.
	[! _ISOMAC][IS_IN (librt)](librt_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (librt)](librt_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (librt)](librt_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (libutil)](libutil_hidden_proto): Remove.
	[! _ISOMAC][IS_IN (libutil)](libutil_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (libutil)](libutil_hidden_def): Remove.
	[! _ISOMAC][IS_IN (libutil)](libutil_hidden_weak): Remove.
	[! _ISOMAC][IS_IN (libutil)](libutil_hidden_ver): Remove.
	[! _ISOMAC][IS_IN (libutil)](libutil_hidden_data_def): Remove.
	[! _ISOMAC][IS_IN (libutil)](libutil_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (libutil)](libutil_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (libutil)](libutil_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (rtld)](rtld_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (rtld)](rtld_hidden_ver): Remove.
	[! _ISOMAC][IS_IN (rtld)](rtld_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (rtld)](rtld_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (rtld)](rtld_hidden_data_ver): Remove.
	[! _ISOMAC][SHARED && ! NO_HIDDEN][! __ASSEMBLER__](hidden_data_ver): Remove.
	[! _ISOMAC][SHARED && ! NO_HIDDEN][__ASSEMBLER__](hidden_data_ver): Remove.
	[! _ISOMAC][__ASSEMBLER__](compat_data_section): Remove.
	[! _ISOMAC](libc_hidden_builtin_weak): Remove.
	[! _ISOMAC](libc_hidden_builtin_ver): Remove.

2022-07-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8ee2c043cfb35c48b45c7c5aed4022a8a7352bdc
	Fix hurd namespace issues for internal signal functions

	* sysdeps/generic/internal-signals.h: Modified.
	(internal_sigemptyset): Modified.
	(internal_sigaddset): Modified.
	(internal_sigprocmask): Modified.

2022-07-04  Guilherme Janczak  <guilherme.janczak@yandex.com>

	COMMIT: bb1bd9ec0e126a918b58094f6977e2c5f9ac8e9f
	argp: Remove old includes in !_LIBC case

	* argp/argp-namefrob.h: Modified.
	[!_LIBC](mempcpy.h): Remove include.
	[!_LIBC](strcase.h): Remove include.
	[!_LIBC](strchrnul.h): Remove include.
	[!_LIBC](strndup.h): Remove include.

2022-07-04  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: c33ada0602fdc3fcf44d6c792844a14b060bbfce
	Use GCC 12 branch in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2022-06-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a1bdd81664aa681364da368154c48501db249df9
	Refactor internal-signals.h

	* nptl/descr.h: Modified.
	(pthread): Modified.
	(internal-sigset.h): Include file.
	* nptl/pthread_attr_setsigmask.c: Modified.
	(pthread_attr_setsigmask_np): Modified function.
	* nptl/pthread_create.c: Modified.
	(start_thread): Modified function.
	(__pthread_create_2_1): Modified function.
	* nptl/pthread_kill.c: Modified.
	[!IS_IN(rtld)][OTHER_SHLIB_COMPAT (libpthread, GLIBC_2_0, GLIBC_2_34)](__pthread_kill_esrch): Modified function.
	(__pthread_kill_implementation): Modified function.
	(__pthread_kill): Modified function.
	* nptl/pthread_sigmask.c: Modified.
	(__pthread_sigmask): Modified function.
	* rt/tst-timer-sigmask.c: Modified.
	(thread_handler): Modified function.
	* signal/sigaction.c: Modified.
	(__sigaction): Modified function.
	* signal/sigaddset.c: Modified.
	(sigaddset): Modified function.
	* signal/sigdelset.c: Modified.
	(sigdelset): Modified function.
	* signal/sigfillset.c: Modified.
	(sigfillset): Modified function.
	* stdlib/abort.c: Modified.
	(sigsetops.h): Remove include.
	(abort): Modified function.
	(internal-signals.h): Include file.
	* sysdeps/generic/internal-signals.h: Modified.
	(__is_internal_signal): Remove function.
	(__clear_internal_signals): Remove function.
	(__libc_signal_block_all): Remove function.
	(__libc_signal_block_app): Remove function.
	(__libc_signal_restore_set): Remove function.
	(is_internal_signal): New function.
	(clear_internal_signals): New function.
	(internal_sigset_t): New.
	(internal_sigemptyset): New.
	(internal_sigaddset): New.
	(internal_sigprocmask): New.
	* sysdeps/posix/signal.c: Modified.
	(__bsd_signal): Modified function.
	* sysdeps/unix/sysv/linux/ia64/unwind_longjmp.c: Modified.
	(__libc_unwind_longjmp): Modified function.
	* sysdeps/unix/sysv/linux/internal-signals.h: Modified.
	(__is_internal_signal): Remove function.
	(__clear_internal_signals): Remove function.
	(__libc_signal_block_all): Remove function.
	(__libc_signal_block_app): Remove function.
	(__libc_signal_block_sigtimer): Remove function.
	(__libc_signal_unblock_sigtimer): Remove function.
	(__libc_signal_restore_set): Remove function.
	(internal-sigset.h): Include file.
	(is_internal_signal): New function.
	(clear_internal_signals): New function.
	(internal_sigprocmask): New function.
	(internal_signal_block_all): New function.
	(internal_signal_restore_set): New function.
	(signal_unblock_sigtimer): New function.
	* sysdeps/unix/sysv/linux/internal-sigset.h: New file.
	* sysdeps/unix/sysv/linux/spawni.c: Modified.
	(posix_spawn_args): Modified.
	(__spawni_child): Modified function.
	(__spawnix): Modified function.
	* sysdeps/unix/sysv/linux/timer_routines.c: Modified.
	(timer_sigev_thread): Modified function.

2022-06-30  Kito Cheng  <kito.cheng@sifive.com>

	COMMIT: c22d2021a9f9bdea62398976eea4f0e6ef668b7d
	riscv: Use memcpy to handle unaligned access when fixing R_RISCV_RELATIVE

	* sysdeps/riscv/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela_relative): Modified function.

2022-06-30  Tejas Belagod  <Tejas.Belagod@arm.com>

	COMMIT: e9dd3682963a7038d699430e3ece68045b6caafc
	AArch64: Add asymmetric faulting mode for tag violations in mem.tagging tunable

	* manual/tunables.texi: Modified.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	(init_cpu_features): Modified function.

2022-06-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 71d87d85bf54f6522813aec97c19bdd24997341e
	linux: Fix mq_timereceive check for 32 bit fallback code (BZ 29304)

	* sysdeps/unix/sysv/linux/mq_timedreceive.c: Modified.
	(___mq_timedreceive_time64): Modified function.

2022-06-29  Noah Goldstein  <goldstein.w.n@gmail.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 96ac447d915ea5ecef3f9168cc13f4e731349a3b
	x86: Add missing IS_IN (libc) check to strncmp-sse4_2.S

	* sysdeps/x86_64/multiarch/strncmp-sse4_2.S: Modified.

2022-06-29  Noah Goldstein  <goldstein.w.n@gmail.com>
            H.J. Lu  <hongjiu.lu@intel.com>

	COMMIT: 0aa294fb887bb5aae4cdfa4b764325466a329131
	x86: Add missing IS_IN (libc) check to strcspn-sse4.c

	* sysdeps/x86_64/multiarch/strcspn-sse4.c: Modified.
	* sysdeps/x86_64/multiarch/varshift.c: Modified.

2022-06-29  Noah Goldstein  <goldstein.w.n@gmail.com>
            Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 8cfbbbcdf90c3b6a941631c7a57a7f8b09598ac4
	x86: Add missing IS_IN (libc) check to memmove-ssse3.S

	* sysdeps/x86_64/multiarch/memmove-ssse3.S: Modified.

2022-06-29  H.J. Lu  <hjl.tools@gmail.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 88070acdd0e21a300a381e3d6ba106ca14285a5f
	x86-64: Properly indent X86_IFUNC_IMPL_ADD_VN arguments

	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.

2022-06-29  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 58bcf7b71a113378dd490f6c41931a14f25a26c9
	x86-64: Small improvements to dl-trampoline.S

	* sysdeps/x86_64/dl-trampoline.S: Modified.

2022-06-29  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 21925f64730d52eb7d8b2fb62b412f8ab92b0caf
	x86: Move mem{p}{mov|cpy}_{chk_}erms to its own file

	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/memmove-erms.S: New file.
	* sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S: Modified.

2022-06-29  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 4a3f29e7e475dd4e7cce2a24c187e6fb7b5b0a05
	x86: Move and slightly improve memset_erms

	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/memset-erms.S: New file.
	* sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S: Modified.

2022-06-29  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 2a1099020cdc1e4c9c928156aa85c8cf9d540291
	x86: Add definition for __wmemset_chk AVX2 RTM in ifunc impl list

	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.

2022-06-30  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 2c4e368a418e12ba67cd4fb026c8b8f2dd605497
	linux: Remove unnecessary nice.c and signal.c

	* sysdeps/unix/sysv/linux/nice.c: Delete file.
	* sysdeps/unix/sysv/linux/signal.c: Delete file.

2022-06-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d55df811e95e6da6af4e414c3eef64546f8b4a2c
	nptl: Remove unused members from struct pthread

	* nptl/descr.h: Modified.
	(pthread): Modified.

2022-06-29  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ecd0fbebc0ce2818ac87ca1ed2ce46a733e8c839
	Linux: Forward declaration of struct iovec for process_madvise

	* sysdeps/unix/sysv/linux/bits/mman_ext.h: Modified.
	[__USE_GNU](bits/types/struct_iovec.h): Remove include.
	[__USE_GNU](process_madvise): Modified.
	[__USE_GNU](iovec): New.

2022-06-28  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: a3563f3f369878467dd74aeb360448119a7a4b41
	x86: Add more feature definitions to isa-level.h

	* sysdeps/x86/isa-level.h: Modified.
	(AVX512DQ_X86_ISA_LEVEL): New.
	(MOVBE_X86_ISA_LEVEL): New.
	(SSE4_2_X86_ISA_LEVEL): New.
	(SSSE3_X86_ISA_LEVEL): New.
	(Fast_Unaligned_Load_X86_ISA_LEVEL): New.

2022-06-28  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c1ada668a381e122ee37cb8be7f0637111f63ea7
	elf: Fix -DNDEBUG warning in _dl_start_args_adjust

	* elf/rtld.c: Modified.
	(_dl_start_args_adjust): Modified function.

2022-06-28  Yang Yanchao  <yangyanchao6@huawei.com>

	COMMIT: 5e89ed42fd8997414732525c9460878d65363b3f
	elf: Fix compile error with -Werror and -DNDEBUG

	* elf/cache.c: Modified.
	(save_cache): Modified function.

2022-06-27  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: cfdc4df66ce1464611e1b508f7a5a8f38afd5337
	x86-64: Only define used SSE/AVX/AVX512 run-time resolvers

	* sysdeps/x86/isa-level.h: Modified.
	(AVX512F_X86_ISA_LEVEL): New.
	(AVX_X86_ISA_LEVEL): New.
	* sysdeps/x86_64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	[! dl_machine_h](isa-level.h): Include file.
	* sysdeps/x86_64/dl-trampoline.S: Modified.

2022-06-27  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f56c497d2b640577f0a8a41f04d4f2c25a8800bd
	x86: Move CPU_FEATURE{S}_{USABLE|ARCH}_P to isa-level.h

	* sysdeps/x86/isa-ifunc-macros.h: Modified.
	(X86_ISA_CPU_FEATURE_USABLE_P): Remove.
	(X86_ISA_CPU_FEATURES_ARCH_P): Remove.
	* sysdeps/x86/isa-level.h: Modified.
	(X86_ISA_CPU_FEATURE_USABLE_P): New.
	(X86_ISA_CPU_FEATURES_ARCH_P): New.

2022-06-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 4fc321dc58b29217e322526b49549930d0807179
	x86: Fix backwards Prefer_No_VZEROUPPER check in ifunc-evex.h

	* sysdeps/x86/isa-ifunc-macros.h: Modified.
	(X86_ISA_CPU_FEATURE_CONST_CHECK_ENABLED): Remove.
	(X86_ISA_CPU_FEATURE_USABLE_P): Modified.
	(X86_ISA_CPU_FEATURES_ARCH_P): Modified.
	* sysdeps/x86/isa-level.h: Modified.
	* sysdeps/x86_64/multiarch/ifunc-evex.h: Modified.
	(IFUNC_SELECTOR): Modified function.

2022-06-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: d912127bdea8fcd13f6b2f47b53393c9da1357f8
	x86: Rename strstr_sse2 to strstr_generic as it uses string/strstr.c

	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/strstr-sse2-unaligned.S: Modified.
	* sysdeps/x86_64/multiarch/strstr.c: Modified.
	(STRSTR): Modified.
	(__strstr_sse2): Remove.
	(IFUNC_SELECTOR): Modified function.
	(__strstr_generic): New.

2022-06-27  Noah Goldstein  <goldstein.w.n@gmail.com>
            Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: d1e931125baca83251871d7c335e28519074a24f
	x86: Remove unused file wmemcmp-sse4

	* sysdeps/x86_64/multiarch/wmemcmp-sse4.S: Delete file.

2022-06-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: afc6e4328ff80973bde50d5401691b4c4b2e522c
	x86: Put wcs{n}len-sse4.1 in the sse4.1 text section

	* sysdeps/x86_64/multiarch/strlen-vec.S: Modified.
	* sysdeps/x86_64/multiarch/wcslen-sse4_1.S: Modified.
	* sysdeps/x86_64/multiarch/wcsnlen-sse4_1.S: Modified.

2022-06-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 227afaa67213efcdce6a870ef5086200f1076438
	x86: Align entry for memrchr to 64-bytes.

	* sysdeps/x86_64/multiarch/memrchr-avx2.S: Modified.

2022-06-26  Fangrui Song  <maskray@google.com>

	COMMIT: dbb0f06cc09784f6229cc1736c4af8caa687975f
	Makerules: Remove no-op -Wl,-d when linking libc_pic.os

	* Makerules: Modified.

2022-06-25  Andreas Schwab  <schwab@linux-m68k.org>

	COMMIT: 01c60dc90ca404c153d51f0ddc3b5fe36d3c1099
	m68k: optimize RTLD_START

	* sysdeps/m68k/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-06-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: baf2a265c71113a91f6971313ef191be9e77ef6a
	misc: Optimize internal usage of __libc_single_threaded

	* elf/libc_early_init.c: Modified.
	(__libc_early_init): Modified function.
	* include/libc-symbols.h: Modified.
	[! _ISOMAC][!(IS_IN (libc))](libc_hidden_proto_alias): New.
	[! _ISOMAC][!(IS_IN (libc))](libc_hidden_data_def_alias): New.
	[! _ISOMAC][!(SHARED && ! NO_HIDDEN)][! __ASSEMBLER__][! SHARED && IS_IN (libc) && ! LIBC_NONSHARED  && (! PIC || ! NO_HIDDEN_EXTERN_FUNC_IN_PIE)  && ! NO_HIDDEN](hidden_proto_alias): New.
	[! _ISOMAC][!(SHARED && ! NO_HIDDEN)][! __ASSEMBLER__][! SHARED && IS_IN (libc) && ! LIBC_NONSHARED  && (! PIC || ! NO_HIDDEN_EXTERN_FUNC_IN_PIE)  && ! NO_HIDDEN](__hidden_proto_alias): New.
	[! _ISOMAC][!(SHARED && ! NO_HIDDEN)][! __ASSEMBLER__][!(! SHARED && IS_IN (libc) && ! LIBC_NONSHARED  && (! PIC || ! NO_HIDDEN_EXTERN_FUNC_IN_PIE)  && ! NO_HIDDEN)](hidden_proto_alias): New.
	[! _ISOMAC][!(SHARED && ! NO_HIDDEN)](hidden_def_alias): New.
	[! _ISOMAC][!(SHARED && ! NO_HIDDEN)](hidden_data_def_alias): New.
	[! _ISOMAC][IS_IN (libc)](libc_hidden_proto_alias): New.
	[! _ISOMAC][IS_IN (libc)](libc_hidden_def_alias): New.
	[! _ISOMAC][IS_IN (libc)](libc_hidden_data_def_alias): New.
	[! _ISOMAC][SHARED && ! NO_HIDDEN][! __ASSEMBLER__](hidden_proto_alias): New.
	[! _ISOMAC][SHARED && ! NO_HIDDEN][! __ASSEMBLER__](__hidden_proto_alias): New.
	[! _ISOMAC][SHARED && ! NO_HIDDEN][! __ASSEMBLER__](hidden_def_alias): New.
	[! _ISOMAC][SHARED && ! NO_HIDDEN][! __ASSEMBLER__](hidden_data_def_alias): New.
	[! _ISOMAC][SHARED && ! NO_HIDDEN][__ASSEMBLER__](hidden_def_alias): New.
	[! _ISOMAC][SHARED && ! NO_HIDDEN][__ASSEMBLER__](hidden_data_def_alias): New.
	* include/sys/single_threaded.h: Modified.
	[! _ISOMAC][! SHARED || !IS_IN(libc)](__libc_single_threaded_internal): New.
	[! _ISOMAC](libc_hidden_proto_alias): New.
	* misc/single_threaded.c: Modified.
	(libc_hidden_data_def_alias): New.
	* nptl/pthread_create.c: Modified.
	(__pthread_create_2_1): Modified function.
	* posix/fork.c: Modified.
	(__libc_fork): Modified function.
	* sysdeps/nptl/setxid.h: Modified.
	(INLINE_SETXID_SYSCALL): Modified.

2022-06-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5b41b2659d35b72636ab50a28d6815cad9c22a66
	linux: Add move_mount

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/mount.h: Modified.
	(MOVE_MOUNT_F_SYMLINKS): New.
	(MOVE_MOUNT_F_AUTOMOUNTS): New.
	(MOVE_MOUNT_F_EMPTY_PATH): New.
	(MOVE_MOUNT_T_SYMLINKS): New.
	(MOVE_MOUNT_T_AUTOMOUNTS): New.
	(MOVE_MOUNT_T_EMPTY_PATH): New.
	(MOVE_MOUNT_SET_GROUP): New.
	(move_mount): New function.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-06-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b4deb7beb8c977f79642a6a839c0475e1ce3a209
	linux: Add fsmount

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/mount.h: Modified.
	(FSMOUNT_CLOEXEC): New.
	(MOUNT_ATTR_RDONLY): New.
	(MOUNT_ATTR_NOSUID): New.
	(MOUNT_ATTR_NODEV): New.
	(MOUNT_ATTR_NOEXEC): New.
	(MOUNT_ATTR__ATIME): New.
	(MOUNT_ATTR_RELATIME): New.
	(MOUNT_ATTR_NOATIME): New.
	(MOUNT_ATTR_STRICTATIME): New.
	(MOUNT_ATTR_NODIRATIME): New.
	(MOUNT_ATTR_IDMAP): New.
	(MOUNT_ATTR_NOSYMFOLLOW): New.
	(fsmount): New function.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-06-24  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6c0eedd97e49aae3b22abcdd892efb7c3f57b9f4
	linux: Add fsopen

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/mount.h: Modified.
	(FSOPEN_CLOEXEC): New.
	(fsopen): New function.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-06-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 77536da3dea5af4d1859e4e754f07f47cf8d7d4c
	resolv/tst-resolv-noaaaa: Support building for older C standards

	* resolv/tst-resolv-noaaaa.c: Modified.
	(response): Modified function.

2022-06-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f282cdbe7f436c75864e5640a409a10485e9abb2
	resolv: Implement no-aaaa stub resolver option

	* NEWS: Modified.
	* resolv/Makefile: Modified.
	* resolv/nss_dns/dns-host.c: Modified.
	(_nss_dns_gethostbyname4_r): Modified function.
	(gaih_getanswer_noaaaa): New function.
	(gaih_getanswer_noaaaa): New function.
	* resolv/res-noaaaa.c: New file.
	* resolv/res_debug.c: Modified.
	[SHLIB_COMPAT (libresolv, GLIBC_2_0, GLIBC_2_26)](p_option): Modified function.
	* resolv/res_init.c: Modified.
	(res_setoptions): Modified function.
	* resolv/res_query.c: Modified.
	(__res_context_query): Modified function.
	* resolv/res_send.c: Modified.
	(context_send_common): Modified function.
	* resolv/resolv-internal.h: Modified.
	(__res_handle_no_aaaa): New function.
	* resolv/resolv.h: Modified.
	(RES_NOAAAA): New.
	* resolv/tst-resolv-noaaaa.c: New file.
	* resolv/tst-resolv-res_init-skeleton.c: Modified.
	(print_resp): Modified function.
	(name): New.
	(conf): New.

2022-06-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 62a321b12d0e397af88fa422db65079332f971dc
	support: Change non-address output format of support_format_dns_packet

	* support/support_format_dns_packet.c: Modified.
	(support_format_dns_packet): Modified function.
	(extract_name_data): New function.
	* support/tst-support_format_dns_packet.c: Modified.
	(test_multiple_cnames): Modified function.

2022-06-23  Kito Cheng  <kito.cheng@sifive.com>

	COMMIT: 58fc66a91ca511cc12901cb599914f31948e02d5
	riscv: Use elf_machine_rela_relative to handle R_RISCV_RELATIVE

	* sysdeps/riscv/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.

2022-06-23  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: bd42891bb38d43878d0a9e204a183dbae4a2c6d0
	x86: Remove faulty sanity tests for RTLD build with no multiarch

	* sysdeps/x86_64/isa-default-impl.h: Modified.
	[!(IS_IN(rtld))][USE_MULTIARCH](Multiarch build should not use ISA_DEFAULT_IMPL without RTLD"): Remove.
	[IS_IN(rtld)][! USE_MULTIARCH](RTLD version should only exist in multiarch build"): Remove.

2022-06-23  Noah Goldstein  <goldstein.w.n@gmail.com>
            Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 220b83d83d32aa9e6f5659e2fa2a63a0024c3e4a
	stdlib: Fixup mbstowcs NULL __dst handling. [BZ #29279]

	* stdlib/bits/stdlib.h: Modified.
	(__REDIRECT_NTH): Modified.
	(__NTH): Modified function.

2022-06-22  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 3079f652d7cc34456aefb412677c01e758922527
	x86: Replace all sse instructions with vex equivilent in avx+ files

	* sysdeps/x86_64/fpu/multiarch/svml_d_acos4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acos8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acosh4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acosh8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asin4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asin8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asinh4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asinh8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan24_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan28_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atanh4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atanh8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cbrt4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cosh4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cosh8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erfc4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erfc8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp104_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp108_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp24_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp28_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_expm14_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_expm18_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_hypot4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_hypot8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log104_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log108_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log1p4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log1p8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log24_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log28_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_sinh4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_sinh8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tan4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tan8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tanh4_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tanh8_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acosf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acosf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_cbrtf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf8_core_avx2.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf16_core_avx512.S: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf8_core_avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strrchr-avx2.S: Modified.

2022-06-22  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 3edda6a0f013736ca9554a95e553739a41dbd4b7
	x86: Add support for compiling {raw|w}memchr with high ISA level

	* sysdeps/x86_64/isa-default-impl.h: Modified.
	[!(IS_IN(rtld))][USE_MULTIARCH](Multiarch build should not use ISA_DEFAULT_IMPL without RTLD"): New.
	[IS_IN(rtld)][! USE_MULTIARCH](RTLD version should only exist in multiarch build"): New.
	* sysdeps/x86_64/memchr.S: Modified.
	* sysdeps/x86_64/multiarch/ifunc-evex.h: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/memchr-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/memchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/memchr-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/rawmemchr-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/rawmemchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/rawmemchr-sse2.S: Modified.
	* sysdeps/x86_64/multiarch/rtld-memchr.S: New file.
	* sysdeps/x86_64/multiarch/rtld-rawmemchr.S: New file.
	* sysdeps/x86_64/multiarch/wmemchr-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/wmemchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/wmemchr-sse2.S: Modified.
	* sysdeps/x86_64/rawmemchr.S: Modified.
	* sysdeps/x86_64/wmemchr.S: New file.

2022-06-22  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 703f4341083afa7d71987aa96a35eab81309e634
	x86: Add defines / utilities for making ISA specific x86 builds

	* sysdeps/x86/init-arch.h: Modified.
	[__x86_64__](isa-ifunc-macros.h): New.
	* sysdeps/x86/isa-ifunc-macros.h: New file.
	* sysdeps/x86/isa-level.c: Modified.
	[INCLUDE_X86_ISA_LEVEL][!(ISA_BASELINE &&  __GCC_HAVE_SYNC_COMPARE_AND_SWAP_16  &&  HAVE_X86_LAHF_SAHF &&  __POPCNT__  &&  __SSE3__ &&  __SSSE3__ &&  __SSE4_1__  &&  __SSE4_2__)](ISA_V2): Remove.
	[INCLUDE_X86_ISA_LEVEL][!(ISA_V2 &&  __AVX__ &&  __AVX2__ &&  __F16C__  &&  __FMA__ &&  __LZCNT__ &&  HAVE_X86_MOVBE  &&  __BMI__ &&  __BMI2__)](ISA_V3): Remove.
	[INCLUDE_X86_ISA_LEVEL][!(ISA_V3 &&  __AVX512F__ &&  __AVX512BW__  &&  __AVX512CD__ &&  __AVX512DQ__  &&  __AVX512VL__)](ISA_V4): Remove.
	[INCLUDE_X86_ISA_LEVEL][!(__SSE__ &&  __SSE2__)](ISA_BASELINE): Remove.
	[INCLUDE_X86_ISA_LEVEL][ISA_BASELINE &&  __GCC_HAVE_SYNC_COMPARE_AND_SWAP_16  &&  HAVE_X86_LAHF_SAHF &&  __POPCNT__  &&  __SSE3__ &&  __SSSE3__ &&  __SSE4_1__  &&  __SSE4_2__](ISA_V2): Remove.
	[INCLUDE_X86_ISA_LEVEL][ISA_V2 &&  __AVX__ &&  __AVX2__ &&  __F16C__  &&  __FMA__ &&  __LZCNT__ &&  HAVE_X86_MOVBE  &&  __BMI__ &&  __BMI2__](ISA_V3): Remove.
	[INCLUDE_X86_ISA_LEVEL][ISA_V3 &&  __AVX512F__ &&  __AVX512BW__  &&  __AVX512CD__ &&  __AVX512DQ__  &&  __AVX512VL__](ISA_V4): Remove.
	[INCLUDE_X86_ISA_LEVEL][__SSE__ &&  __SSE2__](ISA_BASELINE): Remove.
	[INCLUDE_X86_ISA_LEVEL][!(MINIMUM_X86_ISA_LEVEL >= 1)](ISA_BASELINE): New.
	[INCLUDE_X86_ISA_LEVEL][!(MINIMUM_X86_ISA_LEVEL >= 2)](ISA_V2): New.
	[INCLUDE_X86_ISA_LEVEL][!(MINIMUM_X86_ISA_LEVEL >= 3)](ISA_V3): New.
	[INCLUDE_X86_ISA_LEVEL][!(MINIMUM_X86_ISA_LEVEL >= 4)](ISA_V4): New.
	[INCLUDE_X86_ISA_LEVEL][MINIMUM_X86_ISA_LEVEL >= 1](ISA_BASELINE): New.
	[INCLUDE_X86_ISA_LEVEL][MINIMUM_X86_ISA_LEVEL >= 2](ISA_V2): New.
	[INCLUDE_X86_ISA_LEVEL][MINIMUM_X86_ISA_LEVEL >= 3](ISA_V3): New.
	[INCLUDE_X86_ISA_LEVEL][MINIMUM_X86_ISA_LEVEL >= 4](ISA_V4): New.
	(sysdeps/x86/isa-level.h): Include file.
	* sysdeps/x86/isa-level.h: New file.
	* sysdeps/x86_64/isa-default-impl.h: New file.

2022-06-22  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 464d189b9622932a75302290625de84931656ec0
	stdlib: Remove attr_write from mbstows if dst is NULL [BZ: 29265]

	* stdlib/Makefile: Modified.
	* stdlib/bits/stdlib.h: Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__NTH): Modified function.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): Modified.
	(__REDIRECT_NTH): New function.
	* stdlib/testmb.c: Modified.
	(main): Modified function.

2022-06-22  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: dd06af4f81be9e6d6b5e3a72357a51fa7205d856
	stdlib: Remove trailing whitespace from Makefile

	* stdlib/Makefile: Modified.

2022-06-22  Andreas Schwab  <schwab@suse.de>

	COMMIT: dc30acf20bd635d71cd4c84100e842fdf0429e48
	debug: make __read_chk a cancellation point (bug 29274)

	* debug/Makefile: Modified.
	* debug/read_chk.c: Modified.
	[HAVE_INLINED_SYSCALLS](errno.h): Remove.
	[HAVE_INLINED_SYSCALLS](sysdep.h): Remove.
	(sys/param.h): Remove include.
	(__read_chk): Modified function.
	* debug/tst-read-chk-cancel.c: New file.

2022-06-21  Sam James  <sam@gentoo.org>

	COMMIT: 2249ec60a987f9a7aa585890de2bd365b3656d28
	s390: use LC_ALL=C for readelf call

	* sysdeps/s390/s390-64/configure: Modified.
	* sysdeps/s390/s390-64/configure.ac: Modified.

2022-06-21  Sam James  <sam@gentoo.org>

	COMMIT: c376ff3287b9b0f78a4f8951313c6dae60cbdfea
	s390: use $READELF

	* sysdeps/s390/s390-64/configure: Modified.
	* sysdeps/s390/s390-64/configure.ac: Modified.

2022-06-17  Noah Goldstein  <goldstein.w.n@gmail.com>
            Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: e5446dfea11e969212939197b606424a718d9b65
	i386: Fix include paths for strspn, strcspn, and strpbrk

	* sysdeps/i386/i686/multiarch/strcspn-c.c: Modified.
	(__strcspn_sse2): Remove.
	(sysdeps/x86_64/multiarch/strcspn-c.c): Remove include.
	(__strcspn_generic): New.
	(sysdeps/x86_64/multiarch/strcspn-sse4.c): Include file.
	* sysdeps/i386/i686/multiarch/strpbrk-c.c: Modified.
	(__strpbrk_sse2): Remove.
	(sysdeps/x86_64/multiarch/strpbrk-c.c): Remove include.
	(__strpbrk_generic): New.
	(sysdeps/x86_64/multiarch/strpbrk-sse4.c): Include file.
	* sysdeps/i386/i686/multiarch/strspn-c.c: Modified.
	(__strspn_sse2): Remove.
	(sysdeps/x86_64/multiarch/strspn-c.c): Remove include.
	(__strspn_generic): New.
	(sysdeps/x86_64/multiarch/strspn-sse4.c): Include file.

2022-06-17  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 33ead027586c3371e6765f9070b9564a5ba7e89d
	elf: Silence GCC 11/12 false positive warning

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.

2022-06-16  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: c22eb807b0c8125101f6a274795425be2bbd0386
	x86: Rename generic functions with unique postfix for clarity

	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-avx2.h: Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	[! GENERIC](GENERIC): New.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-sse4_2.h: Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-strcpy.h: Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	[! GENERIC](GENERIC): New.
	* sysdeps/x86_64/multiarch/ifunc-wcslen.h: Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	[! GENERIC](GENERIC): New.
	* sysdeps/x86_64/multiarch/stpncpy-c.c: Delete file.
	* sysdeps/x86_64/multiarch/stpncpy-generic.c: New file.
	* sysdeps/x86_64/multiarch/stpncpy.c: Modified.
	(GENERIC): New.
	* sysdeps/x86_64/multiarch/strcspn-sse2.c: Move to...
	* sysdeps/x86_64/multiarch/strcspn-generic.c: ... here.
	[IS_IN (libc)](STRCSPN): Modified.
	* sysdeps/x86_64/multiarch/strcspn-c.c: Move to...
	* sysdeps/x86_64/multiarch/strcspn-sse4.c: ... here.
	[! STRCSPN_SSE2](STRCSPN_SSE2): Remove.
	[! STRCSPN_SSE2](STRCSPN_SSE42): Remove.
	[! USE_AS_STRPBRK](STRCSPN_SSE2): Remove.
	[! USE_AS_STRPBRK](STRCSPN_SSE42): Modified function.
	[! USE_AS_STRPBRK](STRCSPN_GENERIC): New function.
	[USE_AS_STRPBRK](STRCSPN_SSE2): Remove.
	[USE_AS_STRPBRK](STRCSPN_SSE42): Modified function.
	[USE_AS_STRPBRK](STRCSPN_GENERIC): New function.
	[! STRCSPN_GENERIC](STRCSPN_GENERIC): New.
	[! STRCSPN_GENERIC](STRCSPN_SSE42): New.
	* sysdeps/x86_64/multiarch/strncat-c.c: Delete file.
	* sysdeps/x86_64/multiarch/strncat-generic.c: New file.
	* sysdeps/x86_64/multiarch/strncat.c: Modified.
	(GENERIC): New.
	* sysdeps/x86_64/multiarch/strncpy-c.c: Delete file.
	* sysdeps/x86_64/multiarch/strncpy-generic.c: New file.
	* sysdeps/x86_64/multiarch/strncpy.c: Modified.
	(GENERIC): New.
	* sysdeps/x86_64/multiarch/strpbrk-sse2.c: Move to...
	* sysdeps/x86_64/multiarch/strpbrk-generic.c: ... here.
	[IS_IN (libc)](STRPBRK): Modified.
	* sysdeps/x86_64/multiarch/strpbrk-c.c: Move to...
	* sysdeps/x86_64/multiarch/strpbrk-sse4.c: ... here.
	(STRCSPN_SSE2): Remove.
	(strcspn-c.c): Remove include.
	(STRCSPN_GENERIC): New.
	(strcspn-sse4.c): Include file.
	* sysdeps/x86_64/multiarch/strspn-sse2.c: Move to...
	* sysdeps/x86_64/multiarch/strspn-generic.c: ... here.
	[IS_IN (libc)](STRSPN): Modified.
	* sysdeps/x86_64/multiarch/strspn-c.c: Move to...
	* sysdeps/x86_64/multiarch/strspn-sse4.c: ... here.
	(__strspn_sse2): Remove.
	(__strspn_sse42): Modified function.
	(__strspn_generic): New function.
	* sysdeps/x86_64/multiarch/wcscpy-c.c: Delete file.
	* sysdeps/x86_64/multiarch/wcscpy-generic.c: New file.
	* sysdeps/x86_64/multiarch/wcscpy.c: Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/wcsncmp-sse2.c: Move to...
	* sysdeps/x86_64/multiarch/wcsncmp-generic.c: ... here.
	(WCSNCMP): Modified.
	* sysdeps/x86_64/multiarch/wcsncmp.c: Modified.
	(GENERIC): New.
	* sysdeps/x86_64/multiarch/wcsnlen-c.c: Delete file.
	* sysdeps/x86_64/multiarch/wcsnlen-generic.c: New file.
	* sysdeps/x86_64/multiarch/wcsnlen.c: Modified.
	(GENERIC): New.

2022-06-16  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 8da9f346cb2051844348785b8a932ec44489e0b7
	x86: Add BMI1/BMI2 checks for ISA_V3 check

	* sysdeps/x86/isa-level.c: Modified.
	[INCLUDE_X86_ISA_LEVEL][!(ISA_V2 &&  __AVX__ &&  __AVX2__ &&  __F16C__  &&  __FMA__ &&  __LZCNT__ &&  HAVE_X86_MOVBE)](ISA_V3): Remove.
	[INCLUDE_X86_ISA_LEVEL][ISA_V2 &&  __AVX__ &&  __AVX2__ &&  __F16C__  &&  __FMA__ &&  __LZCNT__ &&  HAVE_X86_MOVBE](ISA_V3): Remove.
	[INCLUDE_X86_ISA_LEVEL][!(ISA_V2 &&  __AVX__ &&  __AVX2__ &&  __F16C__  &&  __FMA__ &&  __LZCNT__ &&  HAVE_X86_MOVBE  &&  __BMI__ &&  __BMI2__)](ISA_V3): New.
	[INCLUDE_X86_ISA_LEVEL][ISA_V2 &&  __AVX__ &&  __AVX2__ &&  __F16C__  &&  __FMA__ &&  __LZCNT__ &&  HAVE_X86_MOVBE  &&  __BMI__ &&  __BMI2__](ISA_V3): New.

2022-06-16  Fangrui Song  <maskray@google.com>

	COMMIT: 4ef05df5ef70ed8e71c3b9236645b8c601a0b4b4
	x86-64: Handle fewer relocation types for RTLD_BOOTSTRAP

	* sysdeps/x86_64/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.

2022-06-15  Fangrui Song  <maskray@google.com>

	COMMIT: e89913d0aa36597e5824baec870dfcec525fab1a
	aarch64: Handle fewer relocations for RTLD_BOOTSTRAP

	* sysdeps/aarch64/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.

2022-06-15  Fangrui Song  <maskray@google.com>

	COMMIT: 57919813e732dff2c6cfd1c95056cbc265058bc2
	riscv: Change the relocations handled for RTLD_BOOTSTRAP

	* sysdeps/riscv/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.

2022-06-15  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 89a25c6f64746732b87eaf433af0964b564d4a92
	x86: Cleanup bounds checking in large memcpy case

	* sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S: Modified.

2022-06-15  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: b446822b6ae4e8149902a78cdd4a886634ad6321
	x86: Add bounds `x86_non_temporal_threshold`

	* manual/tunables.texi: Modified.
	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.

2022-06-15  Fangrui Song  <maskray@google.com>

	COMMIT: 686216945a7873237bf892bbe38a2eef23aadeba
	Remove remnant reference to ELF_RTYPE_CLASS_EXTERN_PROTECTED_DATA

	* sysdeps/i386/dl-machine.h: Modified.
	* sysdeps/nios2/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_type_class): Modified.

2022-06-15  Fangrui Song  <maskray@google.com>

	COMMIT: de38b2a343e6d64b95c50004943d6107a9e380d0
	elf: Remove ELF_RTYPE_CLASS_EXTERN_PROTECTED_DATA

	* elf/dl-lookup.c: Modified.
	(do_lookup_x): Modified function.
	(_dl_lookup_symbol_x): Modified function.
	* sysdeps/arc/dl-sysdep.h: Delete file.
	* sysdeps/generic/ldsodefs.h: Modified.
	[! DL_EXTERN_PROTECTED_DATA](ELF_RTYPE_CLASS_EXTERN_PROTECTED_DATA): Remove.
	[DL_EXTERN_PROTECTED_DATA](ELF_RTYPE_CLASS_EXTERN_PROTECTED_DATA): Remove.
	* sysdeps/i386/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_type_class): Modified.
	* sysdeps/nios2/dl-sysdep.h: Delete file.
	* sysdeps/x86/dl-lookupcfg.h: Modified.
	(DL_EXTERN_PROTECTED_DATA): Remove.
	* sysdeps/x86_64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_type_class): Modified.

2022-06-14  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: ff439c47173565fbff4f0f78d07b0f14e4a7db05
	x86: Add sse42 implementation to strcmp's ifunc

	* sysdeps/x86_64/multiarch/strcmp.c: Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(__typeof): Modified.
	(IFUNC_SELECTOR): Modified function.
	(__typeof): New function.

2022-06-14  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 035591551400cfc810b07244a015c9411e8bff7c
	x86: Fix misordered logic for setting `rep_movsb_stop_threshold`

	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(dl_init_cacheinfo): Modified function.

2022-06-14  Fangrui Song  <maskray@google.com>

	COMMIT: 7374c02b683b7110b853a32496a619410364d70b
	elf: Refine direct extern access diagnostics to protected symbol

	* sysdeps/generic/dl-protected.h: Modified.
	(_dl_check_protected_symbol): Modified function.

2022-06-14  Stefan Liebler  <stli@linux.ibm.com>
            Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 876cdf517d1c464ce3d8f7eaf4199565e5592f16
	Avoid -Wstringop-overflow= warning in iconv module.

	* iconv/loop.c: Modified.
	[!(! DEFINE_UNALIGNED && !_STRING_ARCH_unaligned  && MIN_NEEDED_INPUT != 1 && MAX_NEEDED_INPUT % MIN_NEEDED_INPUT == 0  && MIN_NEEDED_OUTPUT != 1 && MAX_NEEDED_OUTPUT % MIN_NEEDED_OUTPUT == 0)][MAX_NEEDED_INPUT > 1](SINGLE): Modified function.

2022-06-10  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: fdaf78656fb6cc7caeb7b4e37068e8a8bf4dc639
	Add bounds check to __libc_ifunc_impl_list

	* include/ifunc-impl-list.h: Modified.
	(IFUNC_IMPL_ADD): Modified.
	(IFUNC_IMPL): Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(MAX_IFUNC): Remove.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/arm/armv7/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/i386/i686/multiarch/ifunc-impl-list.c: Modified.
	(MAX_IFUNC): Remove.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc32/power4/multiarch/ifunc-impl-list.c: Modified.
	(MAX_IFUNC): Remove.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc64/multiarch/ifunc-impl-list.c: Modified.
	(MAX_IFUNC): Remove.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/s390/multiarch/ifunc-impl-list.c: Modified.
	(MAX_IFUNC): Remove.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/sparc/sparc64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(MAX_IFUNC): Remove.
	(__libc_ifunc_impl_list): Modified function.

2022-06-10  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: f107b7b30d815f191181617e2c14f21e6af4ddcf
	libio: Avoid RMW of flags2 outside lock (BZ #27842)

	* stdio-common/flockfile.c: Modified.
	(__flockfile): Modified function.

2022-06-09  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: cffb9414c55b2e169ed8af1cefd1e3f2ea97e750
	x86: Optimize svml_s_tanhf4_core_sse4.S

	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf4_core_sse4.S: Modified.

2022-06-09  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: bcc41f66a48bf764ee85fea56b8e32719e230a0a
	x86: Optimize svml_s_tanhf8_core_avx2.S

	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf8_core_avx2.S: Modified.

2022-06-09  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 3a49ce8799e7233946f8154ba05c185277f33f11
	x86: Add data file that can be shared by tanhf-avx2 and tanhf-sse4

	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf_rodata.S: New file.

2022-06-09  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: e560b3c2d2b1aeae68bc2da901f773b9a253e594
	x86: Optimize svml_s_tanhf16_core_avx512.S

	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf16_core_avx512.S: Modified.

2022-06-09  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: fe1915d4f6dd5db92ce9d0be47c9d4e04f95946c
	x86: Improve svml_s_atanhf4_core_sse4.S

	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf4_core_sse4.S: Modified.

2022-06-09  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 65897e991685c87f4575694197d3ce24f7fc9c5a
	x86: Improve svml_s_atanhf8_core_avx2.S

	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf8_core_avx2.S: Modified.

2022-06-09  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 73bae395cfc862a30e640e9de6f2defecd6fd100
	x86: Improve svml_s_atanhf16_core_avx512.S

	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf16_core_avx512.S: Modified.

2022-06-09  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 0f91811333f23b61cf681cab2704b35a0a073b97
	x86: Align varshift table to 32-bytes

	* sysdeps/x86_64/multiarch/varshift.c: Modified.
	(varshift.h): Remove include.
	(stdint.h): Include file.
	* sysdeps/x86_64/multiarch/varshift.h: Modified.
	(___m128i_shift_right): Remove.
	(aligned): New function.

2022-06-09  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 4654e7fd5a129c4507257dc962540b53c7cf42ab
	x86: Add copyright to strpbrk-c.c

	* sysdeps/x86_64/multiarch/strpbrk-c.c: Modified.

2022-06-08  Sam James  <sam@gentoo.org>

	COMMIT: ace9e3edbca62d978b1e8f392d8a5d78500272d9
	nss: handle stat failure in check_reload_and_get (BZ #28752)

	* nss/nss_database.c: Modified.
	(nss_database_check_reload_and_get): Modified function.

2022-06-08  Sam James  <sam@gentoo.org>

	COMMIT: 3fdf0a205b622e40fa7e3c4ed1e4ed4d5c6c5380
	nss: add assert to DB_LOOKUP_FCT (BZ #28752)

	* nss/XXX-lookup.c: Modified.
	(DB_LOOKUP_FCT): Modified function.
	(assert.h): Include file.

2022-06-08  Noah Goldstein  <goldstein.w.n@gmail.com>
            Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 2c9af8421d2b4a7fcce163e7bc81a118d22fd346
	x86: Fix page cross case in rawmemchr-avx2 [BZ #29234]

	* string/test-rawmemchr.c: Modified.
	(do_test): Modified function.
	(do_random_tests): Modified function.
	(test_main): Modified function.
	(support/xunistd.h): Include file.
	(do_test_bz29234): New function.
	* sysdeps/x86_64/multiarch/memchr-avx2.S: Modified.

2022-06-08  Paul E. Murphy  <murphyp@linux.ibm.com>

	COMMIT: aa13fd16183949bbc40b010552e2e42003ebee62
	nptl_db: disable DT_RELR on libthread_db.so

	* nptl_db/Makefile: Modified.

2022-06-08  Andreas Schwab  <schwab@suse.de>

	COMMIT: c2f39be490150aa748bc74d78d7ee122188a30cf
	elf: add missing newlines in lateglobal test

	* elf/lateglobal.c: Modified.
	(main): Modified function.

2022-06-08  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c7d36dcecc08a29825175f65c4ee873ff3177a23
	nptl: Fix __libc_cleanup_pop_restore asynchronous restore (BZ#29214)

	* nptl/libc-cleanup.c: Modified.
	(__libc_cleanup_pop_restore): Modified function.
	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/pthread/tst-cancel30.c: New file.

2022-06-07  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: c28db9cb29a7d6cf3ce08fd8445e6b7dea03f35b
	x86: ZERO_UPPER_VEC_REGISTERS_RETURN_XTEST expect no transactions

	* sysdeps/x86_64/sysdep.h: Modified.
	[__ASSEMBLER__](ZERO_UPPER_VEC_REGISTERS_RETURN_XTEST): Modified.

2022-06-07  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 56da3fe1dd075285fa8186d44b3c28e68c687e62
	x86: Shrink code size of memchr-evex.S

	* sysdeps/x86_64/multiarch/memchr-evex.S: Modified.

2022-06-07  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 6dcbb7d95dded20153b12d76d2f4e0ef0cda4f35
	x86: Shrink code size of memchr-avx2.S

	* sysdeps/x86_64/multiarch/memchr-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/memchr-avx2.S: Modified.

2022-06-07  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: af5306a735eb0966fdc2f8ccdafa8888e2df0c87
	x86: Optimize memrchr-avx2.S

	* sysdeps/x86_64/multiarch/memrchr-avx2-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/memrchr-avx2.S: Modified.

2022-06-07  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: b4209615a06b01c974f47b4998b00e4c7b1aa5d9
	x86: Optimize memrchr-evex.S

	* sysdeps/x86_64/multiarch/memrchr-evex.S: Modified.

2022-06-07  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 731feee3869550e93177e604604c1765d81de571
	x86: Optimize memrchr-sse2.S

	* sysdeps/x86_64/memrchr.S: Modified.

2022-06-07  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: d0370d992e5e7b4a8843e8e130f6c86b483ab7d0
	Benchtests: Improve memrchr benchmarks

	* benchtests/bench-memchr.c: Modified.
	(do_test): Modified function.
	(test_main): Modified function.

2022-06-07  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: dd5c483b2598f411428df4d8864c15c4b8a3cd68
	x86: Add COND_VZEROUPPER that can replace vzeroupper if no `ret`

	* sysdeps/x86_64/multiarch/avx-rtm-vecs.h: Modified.
	(COND_VZEROUPPER): New.
	* sysdeps/x86_64/sysdep.h: Modified.
	[__ASSEMBLER__][! COND_VZEROUPPER](COND_VZEROUPPER): New.
	[__ASSEMBLER__](COND_VZEROUPPER_XTEST): New.

2022-06-07  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 8a780a6b910023e71f3173f37f0793834c047554
	x86: Create header for VEC classes in x86 strings library

	* sysdeps/x86_64/multiarch/avx-rtm-vecs.h: New file.
	* sysdeps/x86_64/multiarch/avx-vecs.h: New file.
	* sysdeps/x86_64/multiarch/evex-vecs-common.h: New file.
	* sysdeps/x86_64/multiarch/evex256-vecs.h: New file.
	* sysdeps/x86_64/multiarch/evex512-vecs.h: New file.
	* sysdeps/x86_64/multiarch/sse2-vecs.h: New file.
	* sysdeps/x86_64/multiarch/vec-macros.h: New file.

2022-06-07  Matheus Castanho  <msc@linux.ibm.com>

	COMMIT: 0218463dd8265ed937622f88ac68c7d984fe0cfc
	powerpc: Fix VSX register number on __strncpy_power9 [BZ #29197]

	* sysdeps/powerpc/powerpc64/le/power9/strncpy.S: Modified.

2022-06-07  Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: eea282d9c665392d6959f6d7112ba4bef27701c9
	AArch64: Sort makefile entries

	* sysdeps/aarch64/multiarch/Makefile: Modified.

2022-06-07  Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: 9f298bfe1f183804bb54b54ff9071afc0494906c
	AArch64: Add SVE memcpy

	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(MAX_IFUNC): Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memcpy.c: Modified.
	[! HAVE_AARCH64_SVE_ASM](libc_ifunc): Remove.
	[HAVE_AARCH64_SVE_ASM](__memcpy_a64fx): Remove.
	[HAVE_AARCH64_SVE_ASM](libc_ifunc): Remove.
	(libc_ifunc): Modified.
	(__memcpy_a64fx): New.
	(__memcpy_sve): New.
	(__typeof): New function.
	(strong_alias): New function.
	* sysdeps/aarch64/multiarch/memcpy_sve.S: New file.
	* sysdeps/aarch64/multiarch/memmove.c: Modified.
	[! HAVE_AARCH64_SVE_ASM](libc_ifunc): Remove.
	[HAVE_AARCH64_SVE_ASM](__memmove_a64fx): Remove.
	[HAVE_AARCH64_SVE_ASM](libc_ifunc): Remove.
	(libc_ifunc): Modified.
	(__memmove_a64fx): New.
	(__memmove_sve): New.
	(__typeof): New function.
	(strong_alias): New function.

2022-06-06  Raghuveer Devulapalli  <raghuveer.devulapalli@intel.com>

	COMMIT: 5082a287d5e9a1f9cb98b7c982a708a3684f1d5c
	x86_64: Add strstr function with 512-bit EVEX

	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/strstr-avx512.c: New file.
	* sysdeps/x86_64/multiarch/strstr.c: Modified.
	(libc_ifunc): Remove.
	(__strstr_avx512): New.
	(IFUNC_SELECTOR): New function.
	(libc_ifunc_redirected): New function.

2022-06-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8521001731d6539382fa875f1cac9864c466ef27
	scripts/glibcelf.py: Add PT_AARCH64_MEMTAG_MTE constant

	* scripts/glibcelf.py: Modified.

2022-06-06  Dmitriy Fedchenko  <xfedch@gmail.com>

	COMMIT: 999835533bc60fbd0b0b65d2412a6742e5a54b9d
	socket: Fix mistyped define statement in socket/sys/socket.h (BZ #29225)

	* socket/sys/socket.h: Modified.
	[__USE_TIME_BITS64][! __REDIRECT](sendmsg): New.

2022-06-06  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 828c72519f49b16b989886ef4f66859d12c46aa9
	Declare timegm for ISO C2X

	* time/time.h: Modified.
	[__USE_MISC][! __USE_TIME_BITS64](timegm): Remove.
	[__USE_MISC][__USE_TIME_BITS64][! __REDIRECT_NTH](timegm): Remove.
	[__USE_MISC][__USE_TIME_BITS64][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_MISC][__USE_TIME_BITS64][__REDIRECT_NTH](__REDIRECT_NTH): Remove.
	[__USE_MISC || __GLIBC_USE (ISOC2X)][! __USE_TIME_BITS64](timegm): New.
	[__USE_MISC || __GLIBC_USE (ISOC2X)][__USE_TIME_BITS64][! __REDIRECT_NTH](timegm): New.
	[__USE_MISC || __GLIBC_USE (ISOC2X)][__USE_TIME_BITS64][__REDIRECT_NTH](__REDIRECT_NTH): New.

2022-06-06  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 603e5c8ba7257483c162cabb06eb6f79096429b6
	Add PT_AARCH64_MEMTAG_MTE from Linux 5.18 to elf.h

	* elf/elf.h: Modified.
	(PT_AARCH64_MEMTAG_MTE): New.

2022-06-05  Sam James  <sam@gentoo.org>

	COMMIT: 7df596a58cdfa763924487b8c275269de3497304
	grep: egrep -> grep -E, fgrep -> grep -F

	* Makefile: Modified.
	* aclocal.m4: Modified.
	* elf/Makefile: Modified.
	* elf/tst-rtld-list-tunables.sh: Modified.
	* iconvdata/big5.c: Modified.
	* iconvdata/cns11643.c: Modified.
	* iconvdata/cns11643l1.c: Modified.
	* iconvdata/gb2312.c: Modified.
	* iconvdata/gbk.c: Modified.
	* iconvdata/jis0208.c: Modified.
	* iconvdata/jis0212.c: Modified.
	* iconvdata/ksc5601.c: Modified.
	* iconvdata/sjis.c: Modified.
	* iconvdata/uhc.c: Modified.
	* io/ftwtest-sh: Modified.
	* manual/libc-texinfo.sh: Modified.
	* po/Makefile: Modified.
	* scripts/check-c++-types.sh: Modified.
	* scripts/documented.sh: Modified.
	* sysdeps/arm/configure: Modified.
	* sysdeps/arm/configure.ac: Modified.
	* sysdeps/i386/configure: Modified.
	* sysdeps/i386/tst-ld-sse-use.sh: Modified.
	* sysdeps/ia64/fpu/import_check: Modified.

2022-06-03  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 3c23fa9f44fe88d0851e1344fc37ba60e74cb0fc
	string.h: Fix boolean spelling in comments

	* string/string.h: Modified.

2022-06-02  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 48f4b30780038d618b4d19dc94f68caecf99cf52
	elf: Add #include <errno.h> for use of E* constants.

	* elf/dl-minimal.c: Modified.
	(errno.h): Include file.

2022-06-02  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 62c888b3375f82a659a55ec66b1315efa2ed026a
	elf: Add #include <sys/param.h> for MAX usage.

	* elf/dl-audit.c: Modified.
	(sys/param.h): Include file.

2022-06-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1002f1af1ca954f6bb8fbda67fccdb7a4b0055cd
	linux: Add process_mrelease

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/bits/mman_ext.h: Modified.
	[__USE_GNU](process_mrelease): New function.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/tst-process_mrelease.c: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-06-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d19ee3473d68ca0e794f3a8b7677a0983ae1342e
	linux: Add process_madvise

	* NEWS: Modified.
	* bits/mman_ext.h: New file.
	* misc/sys/mman.h: Modified.
	(bits/mman_ext.h): Include file.
	* posix/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/bits/mman_ext.h: New file.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/tst-process_madvise.c: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-06-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7d3e91ba194cc4b5fe1c9017f3bd77533c123b97
	linux: Set tst-pidfd-consts unsupported for kernels headers older than 5.10

	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: Modified.

2022-06-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: bb8887379f59a3efde90569acd47e63e0f6a3863
	testrun.sh: Support passing strace and valgrind arguments

	* Makefile: Modified.

2022-06-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4b527650e0d559a5f693275c598667e06cd6455c
	Linux: Adjust struct rseq definition to current kernel version

	* sysdeps/unix/sysv/linux/sys/rseq.h: Modified.
	[! __GLIBC_HAVE_KERNEL_RSEQ](rseq): Modified.
	(bits/endian.h): Remove include.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c789e6e40974e2b67bd33a17f29b20dce6ae8822
	iconv: Use 64 bit stat for gconv_parseconfdir (BZ# 29213)

	* iconv/gconv_parseconfdir.h: Modified.
	[IS_IN (libc)](lstat64): Remove.
	[IS_IN (libc)](struct_stat): New.
	[IS_IN (libc)](lstat): New.
	(gconv_parseconfdir): Modified function.
	[!(IS_IN (libc))](struct_stat): New.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 634f566c3e20a8a620dbd869a0089e33c105a3ea
	catgets: Use 64 bit stat for __open_catalog (BZ# 29211)

	* catgets/open_catalog.c: Modified.
	(__open_catalog): Modified function.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3cd4785ea02cc3878bf21996cf9b61b3a306447e
	inet: Use 64 bit stat for ruserpass (BZ# 29210)

	* inet/ruserpass.c: Modified.
	(ruserpass): Modified function.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 87f1ec12e79a3895b33801fa816884f0d24ae7ef
	socket: Use 64 bit stat for isfdtype (BZ# 29209)

	* sysdeps/posix/isfdtype.c: Modified.
	(isfdtype): Modified function.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6e7137f28c9d743d66b5a1cb8fa0d1717b96f853
	posix: Use 64 bit stat for fpathconf (_PC_ASYNC_IO) (BZ# 29208)

	* sysdeps/posix/fpathconf.c: Modified.
	(__fpathconf): Modified function.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 574ba60fc8a7fb35e6216e2fdecc521acab7ffd2
	posix: Use 64 bit stat for posix_fallocate fallback (BZ# 29207)

	* sysdeps/posix/posix_fallocate.c: Modified.
	(posix_fallocate): Modified function.
	* sysdeps/posix/posix_fallocate64.c: Modified.
	(__posix_fallocate64_l64): Modified function.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ec995fb2152f160f02bf695ff83c45df4a6cd868
	misc: Use 64 bit stat for getusershell (BZ# 29203)

	* misc/getusershell.c: Modified.
	(initshells): Modified function.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3fbc33010c76721d34f676d8efb45bcc54e0d575
	misc: Use 64 bit stat for daemon (BZ# 29203)

	* misc/daemon.c: Modified.
	(daemon): Modified function.

2022-06-01  WANG Xuerui  <git@xen0n.name>

	COMMIT: e6547d635b991651600fab31f788ed5facd77610
	linux: use statx for fstat if neither newfstatat nor fstatat64 is present

	* sysdeps/unix/sysv/linux/fstatat64.c: Modified.
	[!((__WORDSIZE == 32  && (! __SYSCALL_WORDSIZE || __SYSCALL_WORDSIZE == 32))  ||  STAT_HAS_TIME32)](FSTATAT_USE_STATX): Remove.
	[(__WORDSIZE == 32  && (! __SYSCALL_WORDSIZE || __SYSCALL_WORDSIZE == 32))  ||  STAT_HAS_TIME32](FSTATAT_USE_STATX): Remove.
	[(__WORDSIZE == 32  && (! __SYSCALL_WORDSIZE || __SYSCALL_WORDSIZE == 32))  ||  STAT_HAS_TIME32](fstatat64_time64_statx): Remove.
	[!((__WORDSIZE == 32  && (! __SYSCALL_WORDSIZE || __SYSCALL_WORDSIZE == 32))  ||  STAT_HAS_TIME32  || (! __NR_newfstatat && ! __NR_fstatat64))](FSTATAT_USE_STATX): New.
	[(__WORDSIZE == 32  && (! __SYSCALL_WORDSIZE || __SYSCALL_WORDSIZE == 32))  ||  STAT_HAS_TIME32  || (! __NR_newfstatat && ! __NR_fstatat64)](FSTATAT_USE_STATX): New.
	[(__WORDSIZE == 32  && (! __SYSCALL_WORDSIZE || __SYSCALL_WORDSIZE == 32))  ||  STAT_HAS_TIME32  || (! __NR_newfstatat && ! __NR_fstatat64)](fstatat64_time64_statx): New.

2022-06-01  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: de3501d60fac6d194954e0ccc7bd297f53442b3e
	Add MADV_DONTNEED_LOCKED from Linux 5.18 to bits/mman-linux.h

	* sysdeps/unix/sysv/linux/bits/mman-linux.h: Modified.
	[__USE_MISC](MADV_DONTNEED_LOCKED): New.

2022-06-01  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 9d03bac7e7aa140dc3f48ac884e83265ee4f94c5
	Add HWCAP2_MTE3 from Linux 5.18 to AArch64 bits/hwcap.h

	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP2_MTE3): New.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5a6f2cabb62b2d5e4c356718283b6cb7e440ac9c
	i686: Use generic sincosf implementation for SSE2 version

	* sysdeps/i386/i686/fpu/multiarch/Makefile: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/s_sincosf-sse2.S: Delete file.
	* sysdeps/i386/i686/fpu/multiarch/s_sincosf-sse2.c: New file.
	* sysdeps/ieee754/flt-32/s_sincosf.c: Modified.
	(SINCOSF_FUNC): Modified function.
	[! SECTION](SECTION): New.
	(SECTION): New.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: dc208f4a53e71560432ad6a4aa42da1becc7bd3f
	benchtests: Add workload name for sincosf

	* benchtests/sincosf-inputs: Modified.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3323476641432c061f1ff59b6d3dc2ee3593dea7
	i686: Use generic sinf implementation for SSE2 version

	* sysdeps/i386/i686/fpu/multiarch/Makefile: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/s_sinf-sse2.S: Delete file.
	* sysdeps/i386/i686/fpu/multiarch/s_sinf-sse2.c: New file.
	* sysdeps/ieee754/flt-32/s_sinf.c: Modified.
	(SINF_FUNC): Modified function.
	[! SECTION](SECTION): New.
	(SECTION): New.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: da39afa4ffcc94a97de33222f3cda236daac410e
	i686: Use generic cosf implementation for SSE2 version

	* sysdeps/i386/i686/fpu/multiarch/Makefile: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/s_cosf-sse2.S: Delete file.
	* sysdeps/i386/i686/fpu/multiarch/s_cosf-sse2.c: New file.
	* sysdeps/ieee754/flt-32/s_cosf.c: Modified.
	(COSF_FUNC): Modified function.
	[! SECTION](SECTION): New.
	(SECTION): New.

2022-06-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c1176b62a9ffcde7fb4c0252db342fe21fbd524e
	benchtests: Add workload name for cosf

	* benchtests/cosf-inputs: Modified.

2022-06-01  Andreas Schwab  <schwab@suse.de>

	COMMIT: dc1e5eeb25c4bcb1cc0c883a2d67cf93eb252478
	x86_64: Optimize sincos where sin/cos is optimized (bug 29193)

	* sysdeps/ieee754/dbl-64/s_sincos.c: Modified.
	(__sincos): Modified function.
	[! SECTION](SECTION): New.
	(SECTION): New.
	* sysdeps/x86_64/fpu/multiarch/Makefile: Modified.
	* sysdeps/x86_64/fpu/multiarch/s_sincos-avx.c: New file.
	* sysdeps/x86_64/fpu/multiarch/s_sincos-fma.c: New file.
	* sysdeps/x86_64/fpu/multiarch/s_sincos-fma4.c: New file.
	* sysdeps/x86_64/fpu/multiarch/s_sincos.c: New file.

2022-05-31  Andreas Schwab  <schwab@suse.de>

	COMMIT: d976d44a89ab0e4e8bd077f7063030e2e04975aa
	manual: fix reference to source file

	* manual/tunables.texi: Modified.

2022-05-31  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 6488f4d00653b489e7969c0a489dc665c26514a8
	Add SOL_SMC from Linux 5.18 to bits/socket.h

	* sysdeps/unix/sysv/linux/bits/socket.h: Modified.
	(SOL_SMC): New.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 81e7fdd7ccff3745db0b0d8ffa1ec9fab6dcee67
	elf: Remove _dl_skip_args

	* elf/rtld.c: Modified.
	(_dl_skip_args): Remove.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)](_dl_skip_args): Remove.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(_dl_sysdep_start): Modified function.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ec7bc492b6047529603bb7f59575b6551c73639e
	x86_64: Remove _dl_skip_args usage

	* sysdeps/x86_64/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.
	* sysdeps/x86_64/x32/dl-machine.h: Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b6712b137f2ba6160599bdae60b8562bb6361737
	sparc: Remove _dl_skip_args usage

	* sysdeps/sparc/sparc32/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.
	* sysdeps/sparc/sparc64/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4dc1f6530e22df8ccab75b65300f3dd731e3539b
	sh: Remove _dl_skip_args usage

	* sysdeps/sh/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 22d8935d1d80c73b564cccde1bcb10cba05bc8d3
	s390: Remove _dl_skip_args usage

	* sysdeps/s390/s390-32/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.
	* sysdeps/s390/s390-64/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d62123c1ed2506f85a2f17aa195eb682796fd7ed
	riscv: Remove _dl_skip_args usage

	* sysdeps/riscv/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4868ba5d257a7fb415674e79c4ae5a3af2827f55
	nios2: Remove _dl_skip_args usage (BZ# 29187)

	* sysdeps/nios2/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 44fc092c0d86e5ff44c5eeff20934dd8c0b645fa
	mips: Remove _dl_skip_args usage

	* sysdeps/mips/dl-machine.h: Modified.
	[! dl_machine_h][! __mips16](RTLD_START): Modified.
	[! dl_machine_h][__mips16](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 90cf8e6f0a459ced1a3ed2ab54030ed41e3d639d
	microblaze: Remove _dl_skip_args usage

	* sysdeps/microblaze/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ee39fafa9814f19506524e35a51b3ad4ccbd154e
	m68k: Remove _dl_skip_args usage

	* sysdeps/m68k/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 57bb1e5b9fce7f3797bdb3005065187ba9d66c59
	ia64: Remove _dl_skip_args usage

	* sysdeps/ia64/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1b7f05d11e75594c06f0a8d193c80c7f74857d5f
	i686: Remove _dl_skip_args usage

	* sysdeps/i386/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6242602273feb8d68cd51cff0ad21b3c8ee11fc6
	hppa: Remove _dl_skip_args usage (BZ# 29165)

	* sysdeps/hppa/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 00477963c6a5abd3075044f180d4d0d122a77de0
	csky: Remove _dl_skip_args usage

	* sysdeps/csky/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f20464e9e42514c11d7cbb630d33b49b35b2f202
	arc: Remove _dl_skip_args usage

	* sysdeps/arc/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 49d877a80b29d3002887b084eec6676d9f5fec18
	arm: Remove _dl_skip_args usage

	* sysdeps/arm/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1e4fb2e1ab7dc0b90c0ded24f15088d29fa143cd
	alpha: Remove _dl_skip_args usage

	* sysdeps/alpha/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.

2022-05-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: a8f62164b1d0ea6583c9c5d05aa4be9c946c2004
	benchtests: Improve benchtests for strstr, memmem, and memchr

	* benchtests/bench-memchr.c: Modified.
	(do_one_test): Modified function.
	(do_test): Modified function.
	(test_main): Modified function.
	(json-lib.h): Include file.
	* benchtests/bench-memmem.c: Modified.
	(do_one_test): Modified function.
	(do_test): Modified function.
	(do_random_tests): Modified function.
	(test_main): Modified function.
	(json-lib.h): Include file.
	* benchtests/bench-strstr.c: Modified.
	(do_one_test): Modified function.
	(do_test): Modified function.
	(test_hard_needle): Modified function.
	(test_main): Modified function.
	(json-lib.h): Include file.

2022-05-27  Fangrui Song  <maskray@google.com>

	COMMIT: efa7936e4c91b1c260d03614bb26858fbb8a0204
	dlsym: Make RTLD_NEXT prefer default version definition [BZ #14932]

	* elf/Makefile: Modified.
	* elf/dl-sym.c: Modified.
	(do_sym): Modified function.
	* elf/nextmod3.c: New file.
	* elf/nextmod3.map: New file.
	* elf/tst-next-ver.c: New file.

2022-05-26  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f8587a61892cbafd98ce599131bf4f103466f084
	x86-64: Ignore r_addend for R_X86_64_GLOB_DAT/R_X86_64_JUMP_SLOT

	* sysdeps/x86_64/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.

2022-05-26  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 9c66efb86fe384f77435f7e326333fb2e4e10676
	x86_64: Implement evex512 version of strlen, strnlen, wcslen and wcsnlen

	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/strlen-evex-base.S: New file.
	* sysdeps/x86_64/multiarch/strlen-evex512.S: New file.
	* sysdeps/x86_64/multiarch/strnlen-evex512.S: New file.
	* sysdeps/x86_64/multiarch/wcslen-evex512.S: New file.
	* sysdeps/x86_64/multiarch/wcsnlen-evex512.S: New file.

2022-05-26  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 8d6c44ee7d74ceafcce7cd1d694a1f86cd61dc0a
	Update kernel version to 5.18 in header constant tests

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: Modified.

2022-05-25  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 7597b251d451fa099686344bbd9915bd481ba55b
	String: Improve overflow test coverage for strnlen

	* string/test-strnlen.c: Modified.
	(do_overflow_tests): Modified function.

2022-05-25  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 3d9926663cba19f40d26d8a8ab3b2a7cc09ffb13
	Update syscall-names.list for Linux 5.18

	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.

2022-05-25  Arjun Shankar  <arjun@redhat.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 52a103e237329b9f88a28513fe7506ffc3bd8ced
	Fix deadlock when pthread_atfork handler calls pthread_atfork or dlclose

	* include/register-atfork.h: Modified.
	(fork_handler): Modified.
	(__run_fork_handlers): Remove.
	(__run_prefork_handlers): New function.
	(__run_postfork_handlers): New function.
	* posix/fork.c: Modified.
	(__libc_fork): Modified function.
	* posix/register-atfork.c: Modified.
	(fork_handler_init): Remove.
	(__register_atfork): Modified function.
	(__run_fork_handlers): Remove function.
	(intprops.h): Include file.
	(stdio.h): Include file.
	(fork_handler_counter): New.
	(__run_prefork_handlers): New function.
	(__run_postfork_handlers): New function.
	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/pthread/tst-atfork3.c: New file.
	* sysdeps/pthread/tst-atfork3mod.c: New file.
	* sysdeps/pthread/tst-atfork4.c: New file.
	* sysdeps/pthread/tst-atfork4mod.c: New file.

2022-05-24  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 31ec88399082fbe4a68c7778d79c81554234df9d
	Use Linux 5.18 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2022-05-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: fe8ca369ad2eb8a4a5d572c6c48f38dd99ff3c01
	stdio-common: Simplify printf_unknown interface in vfprintf-internal.c

	* stdio-common/vfprintf-internal.c: Modified.
	(printf_unknown): Modified.
	(printf_positional): Modified function.
	(printf_unknown): Modified function.

2022-05-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 46db9783476e7e2b3f2437ec6437436443699fca
	stdio-common: Move union printf_arg int <printf.h>

	* include/printf.h: Modified.
	[! _ISOMAC](printf_arg): New.
	* stdio-common/printf-parse.h: Modified.
	(printf_arg): Remove.

2022-05-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 800d535504c06f16726f2add8602ee9a36baf808
	stdio-common: Add printf specifier registry to <printf.h>

	* include/printf.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__printf_arginfo_table): New.
	[! _ISOMAC](__printf_function_table): New.
	[! _ISOMAC](__printf_va_arg_table): New.
	[! _ISOMAC](__register_printf_specifier): New function.
	[! _ISOMAC](libc_hidden_proto): New.
	* stdio-common/printf-parse.h: Modified.
	(__printf_arginfo_table): Remove.
	(__printf_function_table): Remove.
	(__printf_va_arg_table): Remove.
	* stdio-common/printf-prs.c: Modified.
	(printf.h): Include file.
	* stdio-common/reg-printf.c: Modified.
	(__libc_lock_define_initialized): Remove.
	(libc_hidden_proto): Remove.
	(__register_printf_function): Remove.
	(__register_printf_specifier): Remove function.
	(__libc_lock_define_initialized): New function.
	* stdio-common/vfprintf-internal.c: Modified.
	(printf_positional): Modified function.

2022-05-23  Fangrui Song  <maskray@google.com>

	COMMIT: 36c1dbaedd90f36397f28a96ae265e11b20fc616
	elf/dl-reloc.c: Copyright The GNU Toolchain Authors

	* elf/dl-reloc.c: Modified.

2022-05-23  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: a01a13601c95f5d111d25557656d09fe661cfc89
	benchtests: Improve bench-strnlen.c

	* benchtests/bench-strnlen.c: Modified.
	(do_one_test): Modified function.
	(do_test): Modified function.
	(test_main): Modified function.
	(json-lib.h): Include file.

2022-05-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: efeb2bd1ab49215325040aa53396a2c19dfd1402
	math: Add math-use-builtins-fabs (BZ#29027)

	* sysdeps/generic/math-use-builtins-fabs.h: New file.
	* sysdeps/generic/math-use-builtins.h: Modified.
	(math-use-builtins-fabs.h): Include file.
	* sysdeps/i386/fpu/s_fabsl.S: Delete file.
	* sysdeps/ia64/fpu/s_fabsl.S: Delete file.
	* sysdeps/ieee754/ldbl-128/s_fabsl.c: Modified.
	(__fabsl): Modified function.
	* sysdeps/ieee754/ldbl-128ibm/s_fabsl.c: Modified.
	(__fabsl): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/x86_64/fpu/s_fabsl.S: Move to...
	* sysdeps/ieee754/ldbl-96/s_fabsl.c: ... here.
	(sysdep.h): Remove include.
	(math.h): Include file.
	(math-use-builtins.h): Include file.
	(__fabsl): New function.
	* sysdeps/powerpc/fpu/math-use-builtins-fabs.h: New file.
	* sysdeps/powerpc/powerpc32/fpu/s_fabsl.S: Delete file.
	* sysdeps/powerpc/powerpc64/fpu/s_fabsl.S: Delete file.
	* sysdeps/sparc/sparc32/fpu/s_fabsl.c: Delete file.
	* sysdeps/sparc/sparc64/fpu/s_fabsl.c: Delete file.

2022-05-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 04b30fe4f85d6e4c0390581a5e90db066a0b2f1f
	linux: Add CLONE_NEWTIME from Linux 5.6 to bits/sched.h

	* sysdeps/unix/sysv/linux/bits/sched.h: Modified.
	[__USE_GNU](CLONE_NEWTIME): New.

2022-05-23  Fangrui Song  <maskray@google.com>

	COMMIT: a7629b1c1b5ceb1e6e7629931ce037a476553d4b
	Revert "[ARM][BZ #17711] Fix extern protected data handling"

	* sysdeps/arm/dl-machine.h: Modified.
	[! dl_machine_h][! RTLD_BOOTSTRAP](elf_machine_type_class): Modified.
	[! dl_machine_h][RTLD_BOOTSTRAP](elf_machine_type_class): Modified.
	* sysdeps/arm/dl-sysdep.h: Delete file.

2022-05-23  Fangrui Song  <maskray@google.com>

	COMMIT: e555954e026df1b85b8ef6c101d05f97b1520d7e
	Revert "[AArch64][BZ #17711] Fix extern protected data handling"

	* sysdeps/aarch64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_type_class): Modified.
	* sysdeps/aarch64/dl-sysdep.h: Delete file.

2022-05-23  Nicholas Guriev  <nicholas@guriev.su>

	COMMIT: a8b11bd1f8dc68795b377138b5d94638ef75a50d
	elf: Rewrite long RESOLVE_MAP macro to an always_inline static function

	* elf/dl-reloc.c: Modified.
	(RESOLVE_MAP): Modified.
	(resolve_map): New function.

2022-05-23  Fangrui Song  <maskray@google.com>

	COMMIT: 748df8126ac69e68e0b94e236ea3c2e11b1176cb
	dlfcn: Move RTLD_DEFAULT/RTLD_NEXT outside __USE_GNU

	* dlfcn/dlfcn.h: Modified.
	[__USE_GNU](RTLD_NEXT): Remove.
	[__USE_GNU](RTLD_DEFAULT): Remove.
	(RTLD_NEXT): New.
	(RTLD_DEFAULT): New.

2022-05-23  Noah Goldstein  <goldstein.w.n@gmail.com>
            Alexander Monakov  <amonakov@ispras.ru>

	COMMIT: 9a421348cd7d0704663e26e6171828bed6e0a2cf
	elf: Optimize _dl_new_hash in dl-new-hash.h

	* benchtests/bench-dl-new-hash.c: Modified.
	(elf/dl-new-hash.h): Remove include.
	(dl-new-hash.h): Include file.
	(elf/simple-dl-new-hash.h): Include file.
	* elf/dl-new-hash.h: Move to...
	* elf/simple-dl-new-hash.h: ... here.
	(_DL_NEW_HASH_H): Remove.
	(sys/cdefs.h): Remove include.
	(_dl_new_hash): Remove function.
	(__simple_dl_new_hash): Remove.
	(_SIMPLE_DL_NEW_HASH_H): New.
	(__simple_dl_new_hash): New function.
	* elf/tst-dl-hash.c: Modified.
	(simple-dl-new-hash.h): Include file.
	* sysdeps/generic/dl-new-hash.h: New file.
	* sysdeps/x86/dl-new-hash.h: New file.

2022-05-23  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 3d155d4b6c29ddfd0b3318fa58dbf8ef20e7bca0
	nss: Optimize nss_hash in nss_hash.c

	* nss/nss_hash.c: Modified.
	(__nss_hash): Modified function.

2022-05-23  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 319dddc143d0c59cc48661fa141ae575f80a074a
	benchtests: Add benchtests for dl_elf_hash, dl_new_hash and nss_hash

	* benchtests/Makefile: Modified.
	* benchtests/README: Modified.
	* benchtests/bench-dl-elf-hash.c: New file.
	* benchtests/bench-dl-new-hash.c: New file.
	* benchtests/bench-hash-funcs-kernel.h: New file.
	* benchtests/bench-hash-funcs.c: New file.
	* benchtests/bench-nss-hash.c: New file.

2022-05-23  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 5f2f0f69777a9781ac65b5619b2abedd88703be2
	nss: Add tests for the nss_hash in nss_hash.h

	* nss/Makefile: Modified.
	* nss/nss_hash.c: Modified.
	* nss/simple-nss-hash.h: New file.
	* nss/tst-nss-hash.c: New file.

2022-05-23  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 6fd435485f270a8c76e47bf7377c1b872885e683
	elf: Add tests for the dl hash funcs (_dl_new_hash and _dl_elf_hash)

	* elf/Makefile: Modified.
	* elf/simple-dl-hash.h: New file.
	* elf/tst-dl-hash.c: New file.

2022-05-23  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: c4bd509d477373b79b2becb625634d3441193005
	elf: Refactor dl_new_hash so it can be tested / benchmarked

	* elf/dl-lookup.c: Modified.
	(dl_new_hash): Remove function.
	(_dl_lookup_symbol_x): Modified function.
	(dl-new-hash.h): Include file.
	* elf/dl-new-hash.h: New file.

2022-05-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 93ec1cf0fef422b137be7a99fdcdf007c318c71d
	locale: Add more cached data to LC_CTYPE

	* locale/C-ctype.c: Modified.
	(_nl_C_LC_CTYPE): Modified.
	(string): Remove.
	(wcsmbs/wcsmbsload.h): Include file.
	(lc_ctype_data): New.
	(fcts): New.
	* locale/loadlocale.c: Modified.
	(_nl_intern_locale_data): Modified function.
	(_nl_intern_locale_data_fill_cache_ctype): New function.
	(_nl_intern_locale_data_fill_cache): New function.
	(_nl_intern_locale_data_extra_size): New function.
	* locale/localeinfo.h: Modified.
	(lc_ctype_data): New.
	* wcsmbs/wcsmbsload.c: Modified.
	(__libc_rwlock_define): Modified function.
	(_nl_cleanup_ctype): Modified function.
	* wcsmbs/wcsmbsload.h: Modified.
	(get_gconv_fcts): Modified function.

2022-05-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7ee41feba6b834d9e17e634bfbf222c4d8dd1a4f
	locale: Remove private union from struct __locale_data

	* locale/C-address.c: Modified.
	* locale/C-collate.c: Modified.
	* locale/C-ctype.c: Modified.
	* locale/C-identification.c: Modified.
	* locale/C-measurement.c: Modified.
	* locale/C-messages.c: Modified.
	* locale/C-monetary.c: Modified.
	* locale/C-name.c: Modified.
	* locale/C-numeric.c: Modified.
	* locale/C-paper.c: Modified.
	* locale/C-telephone.c: Modified.
	* locale/C-time.c: Modified.
	* locale/localeinfo.h: Modified.
	(__locale_data): Modified.
	* time/alt_digit.c: Modified.
	(__libc_rwlock_define): Modified function.
	(_nl_get_alt_digit): Modified function.
	(_nl_get_walt_digit): Modified function.
	(_nl_parse_alt_digit): Modified function.
	* time/era.c: Modified.
	(__libc_rwlock_define): Modified function.
	(_nl_get_era_entry): Modified function.
	(_nl_select_era_entry): Modified function.
	* time/lc-time-cleanup.c: Modified.
	(_nl_cleanup_time): Modified function.
	* wcsmbs/wcsmbsload.c: Modified.
	(__libc_rwlock_define): Modified function.
	(_nl_cleanup_ctype): Modified function.
	* wcsmbs/wcsmbsload.h: Modified.
	(get_gconv_fcts): Modified function.

2022-05-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: bbebe83a2874cd25934046d908824dfc11711a2b
	locale: Remove cleanup function pointer from struct __localedata

	* locale/findlocale.c: Modified.
	(_nl_remove_locale): Modified function.
	* locale/loadarchive.c: Modified.
	(_nl_archive_subfreeres): Modified function.
	* locale/loadlocale.c: Modified.
	(_nl_intern_locale_data): Modified function.
	(_nl_unload_locale): Modified function.
	* locale/localeinfo.h: Modified.
	[SHARED][NL_CURRENT_INDIRECT](_nl_unload_locale): Modified.
	[SHARED][NL_CURRENT_INDIRECT](_nl_cleanup_ctype): New function.
	(__locale_data): Modified.
	* locale/setlocale.c: Modified.
	(free_category): Modified function.
	* time/alt_digit.c: Modified.
	(__libc_rwlock_define): Modified function.
	(_nl_get_walt_digit): Modified function.
	* time/era.c: Modified.
	(__libc_rwlock_define): Modified function.
	* time/lc-time-cleanup.c: Modified.
	(_nl_cleanup_time): Modified function.
	* wcsmbs/wcsmbsload.c: Modified.
	(__libc_rwlock_define): Modified function.
	(_nl_cleanup_ctype): Modified function.

2022-05-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0b6342e769be6903f29da067f5cbcbfcc7c01b10
	locale: Call _nl_unload_locale from _nl_archive_subfreeres

	* locale/loadarchive.c: Modified.
	(_nl_archive_subfreeres): Modified function.

2022-05-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0060a6de5493aeb4af457511e9b9ab532a6930a5
	stdio-common: Add tst-memstream-string for open_memstream overflow

	* stdio-common/Makefile: Modified.
	* stdio-common/tst-memstream-string.c: New file.

2022-05-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b094c52b1b65693368d0d70c505e0d0b4edad1c2
	__printf_fphex always uses LC_NUMERIC

	* stdio-common/printf_fphex.c: Modified.
	(__printf_fphex): Modified function.

2022-05-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 859e7a00af63ca0c28092c57316e9b832ceafb5e
	vfprintf: Consolidate some multibyte/wide character processing

	* stdio-common/vfprintf-process-arg.c: Modified.
	[! COMPILE_WPRINTF](LABEL): Remove.
	[! COMPILE_WPRINTF](width): Remove.
	[! COMPILE_WPRINTF](len): Modified.
	[! COMPILE_WPRINTF](len): Modified.
	[! COMPILE_WPRINTF](all_done): Modified.
	[! COMPILE_WPRINTF](if): Remove.
	[! COMPILE_WPRINTF](if): Remove.
	[! COMPILE_WPRINTF](len): Remove.
	[! COMPILE_WPRINTF](string): Modified.
	[! COMPILE_WPRINTF](string): Remove.
	[! COMPILE_WPRINTF](len): Modified.
	[! COMPILE_WPRINTF](string): Remove.
	[! COMPILE_WPRINTF](len): Modified.
	[! COMPILE_WPRINTF](if): Remove function.
	[! COMPILE_WPRINTF](len): Remove.
	[! COMPILE_WPRINTF](len): Remove.
	[! COMPILE_WPRINTF](all_done): Modified.
	[! COMPILE_WPRINTF](break): Remove.
	[! COMPILE_WPRINTF](outstring): Remove.
	[! COMPILE_WPRINTF](break): Remove.
	[! COMPILE_WPRINTF](if): Remove.
	[! COMPILE_WPRINTF](outstring): Remove.
	[! COMPILE_WPRINTF](if): Remove.
	[! COMPILE_WPRINTF](break): Remove.
	[COMPILE_WPRINTF](LABEL): Remove.
	[COMPILE_WPRINTF](width): Modified.
	[COMPILE_WPRINTF](width): Remove.
	[COMPILE_WPRINTF](if): Remove.
	[COMPILE_WPRINTF](if): Remove.
	[COMPILE_WPRINTF](len): Remove.
	[COMPILE_WPRINTF](string): Remove.
	[COMPILE_WPRINTF](len): Modified.
	[COMPILE_WPRINTF](string): Remove.
	[COMPILE_WPRINTF](len): Modified.
	[COMPILE_WPRINTF](if): Remove function.
	[COMPILE_WPRINTF](break): Remove.
	[COMPILE_WPRINTF](len): Remove.
	[COMPILE_WPRINTF](len): Remove.
	[COMPILE_WPRINTF](outstring): Remove.
	[COMPILE_WPRINTF](break): Remove.
	[COMPILE_WPRINTF](if): Remove.
	[COMPILE_WPRINTF](outstring): Remove.
	[COMPILE_WPRINTF](if): Remove.
	[COMPILE_WPRINTF](break): Remove.
	(LABEL): New function.
	(width): New.
	(if): New function.
	(if): New function.
	(break): New.
	(len): New.
	(string): New.
	(len): New.
	(string): New.
	(len): New.
	(if): New function.
	(outstring): New function.
	(break): New.
	(if): New function.
	(outstring): New function.
	(if): New function.
	(break): New.

2022-05-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5442ea7ffe79dfef3b89e21f46211cc42d347210
	vfprintf: Move argument processing into vfprintf-process-arg.c

	* stdio-common/vfprintf-internal.c: Modified.
	[! COMPILE_WPRINTF](process_string_arg): Remove.
	[COMPILE_WPRINTF](process_string_arg): Remove.
	(process_arg): Remove.
	(vfprintf): Modified function.
	(printf_positional): Modified function.
	* stdio-common/vfprintf-process-arg.c: New file.

2022-05-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 21bb8382b62f7dc20b9936bab32658e8fd5952e0
	stdio-common: Add tst-vfprintf-width-i18n to cover numeric field width

	* stdio-common/Makefile: Modified.
	* stdio-common/tst-vfprintf-width-i18n.c: New file.

2022-05-23  Sergei Trofimovich  <slyich@gmail.com>

	COMMIT: 5a5f94af0542f9a35aaa7992c18eb4e2403a29b9
	string.h: fix __fortified_attr_access macro call [BZ #29162]

	* string/bits/string_fortified.h: Modified.
	[__USE_XOPEN2K8][!(__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (2, 6))](__stpncpy_chk): Modified.

2022-05-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 2d5ec6692f5746ccb11db60976a6481ef8e9d74f
	Enable DT_RELR in glibc shared libraries and PIEs automatically

	* Makeconfig: Modified.
	* Makerules: Modified.
	* elf/Makefile: Modified.

2022-05-18  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 728894dba4a19578bd803906de184a8dd51ed13c
	S390: Enable static PIE

	* sysdeps/s390/s390-64/configure: New file.
	* sysdeps/s390/s390-64/configure.ac: New file.
	* sysdeps/s390/s390-64/start.S: Modified.

2022-05-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d2a1ec20976e0c03c50e35b58c8a0b5093e3643b
	linux: Add tst-pidfd.c

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-pidfd.c: New file.

2022-05-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b3528b0048f24e1f3019860c951f17f09e54ff8b
	linux: Add P_PIDFD

	* posix/Makefile: Modified.
	* posix/sys/wait.h: Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K8](idtype_t): Remove.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K8](bits/types/idtype_t.h): Include file.
	* sysdeps/mach/hurd/bits/types/idtype_t.h: New file.
	* sysdeps/unix/sysv/linux/bits/types/idtype_t.h: New file.

2022-05-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 56cf9e8eec3bdc0ce44efeda373de9d6b825ea1e
	linux: Add pidfd_send_signal

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/pidfd.h: Modified.
	(pidfd_send_signal): New function.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-05-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 32dd8c251a431c90451092653f0231a4ad2665e5
	linux: Add pidfd_getfd

	* NEWS: Modified.
	* sysdeps/generic/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/pidfd.h: Modified.
	(pidfd_getfd): New function.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-05-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 97f5d19c45799e3abedef771430b5562f1b8764f
	linux: Add pidfd_open

	* NEWS: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/pidfd.h: New file.
	* sysdeps/unix/sysv/linux/syscalls.list: Modified.
	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-05-17  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 1da064c015dce624cb19fcdc0bace7af2bd8caec
	aarch64: Move ld.so _start to separate file and drop _dl_skip_args

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/dl-machine.h: Modified.
	[! dl_machine_h][! __LP64__](RTLD_START): Remove.
	[! dl_machine_h][__LP64__](RTLD_START): Remove.
	[! dl_machine_h](RTLD_START_1): Remove.
	[! dl_machine_h](RTLD_START): New.
	* sysdeps/aarch64/dl-start.S: New file.

2022-05-17  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 9faf5262c77487c96da8a3e961b88c0b1879e186
	linux: Add a getauxval test [BZ #23293]

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-getauxval.c: New file.

2022-05-17  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 86147bbeec25624cb26bb7646cdbc3a49bc56bf5
	rtld: Remove DL_ARGV_NOT_RELRO and make _dl_skip_args const

	* elf/rtld.c: Modified.
	[! DL_ARGV_NOT_RELRO](_dl_argc): Remove.
	[! DL_ARGV_NOT_RELRO](_dl_argv): Remove.
	[! DL_ARGV_NOT_RELRO](_dl_skip_args): Remove.
	[DL_ARGV_NOT_RELRO](_dl_argc): Remove.
	[DL_ARGV_NOT_RELRO](_dl_argv): Remove.
	[DL_ARGV_NOT_RELRO](_dl_skip_args): Remove.
	(_dl_argc): New.
	(_dl_argv): New.
	(_dl_skip_args): New.
	* sysdeps/aarch64/dl-sysdep.h: Modified.
	(DL_ARGV_NOT_RELRO): Remove.
	* sysdeps/alpha/dl-sysdep.h: Delete file.
	* sysdeps/arc/dl-sysdep.h: Modified.
	(DL_ARGV_NOT_RELRO): Remove.
	* sysdeps/arm/dl-sysdep.h: Modified.
	(DL_ARGV_NOT_RELRO): Remove.
	* sysdeps/csky/dl-sysdep.h: Delete file.
	* sysdeps/generic/ldsodefs.h: Modified.
	[! DL_ARGV_NOT_RELRO](_dl_argv): Remove.
	[! SHARED][! ENABLE_STATIC_PIE](_dl_relocate_static_pie): New.
	[! SHARED][ENABLE_STATIC_PIE](_dl_relocate_static_pie): New.
	[! SHARED][ENABLE_STATIC_PIE](_dl_get_dl_main_map): New.
	[! SHARED](__libc_setup_tls): New function.
	[! SHARED](__rtld_static_init): New function.
	[DL_ARGV_NOT_RELRO](_dl_argv): Remove.
	[IS_IN (rtld)][! DL_ARGV_NOT_RELRO](_dl_skip_args): Remove.
	[IS_IN (rtld)][! SHARED][! ENABLE_STATIC_PIE](_dl_relocate_static_pie): Remove.
	[IS_IN (rtld)][! SHARED][ENABLE_STATIC_PIE](_dl_relocate_static_pie): Remove.
	[IS_IN (rtld)][! SHARED][ENABLE_STATIC_PIE](_dl_get_dl_main_map): Remove.
	[IS_IN (rtld)][! SHARED](__libc_setup_tls): Remove.
	[IS_IN (rtld)][! SHARED](__rtld_static_init): Remove.
	[IS_IN (rtld)][!(IS_IN (rtld))](_dl_signal_cexception): Remove.
	[IS_IN (rtld)][!(IS_IN (rtld))](_dl_signal_cerror): Remove.
	[IS_IN (rtld)][!(PTHREAD_IN_LIBC &&  SHARED)](__rtld_mutex_init): Remove.
	[IS_IN (rtld)][!HAVE_TUNABLES](_dl_sort_maps_init): Remove.
	[IS_IN (rtld)][DL_ARGV_NOT_RELRO](_dl_skip_args): Remove.
	[IS_IN (rtld)][HAVE_TUNABLES](_dl_sort_maps_init): Remove.
	[IS_IN (rtld)][IS_IN (rtld)](_dl_signal_cexception): Remove.
	[IS_IN (rtld)][IS_IN (rtld)](_dl_signal_cerror): Remove.
	[IS_IN (rtld)][PTHREAD_IN_LIBC](_dl_init_static_tls): Remove.
	[IS_IN (rtld)][PTHREAD_IN_LIBC &&  SHARED](int): Remove.
	[IS_IN (rtld)][PTHREAD_IN_LIBC &&  SHARED](int): Remove.
	[IS_IN (rtld)][PTHREAD_IN_LIBC &&  SHARED](__rtld_mutex_init): Remove.
	[IS_IN (rtld)][SHARED](rtld_active): Remove.
	[IS_IN (rtld)][SHARED](link_map_audit_state): Remove.
	[IS_IN (rtld)][SHARED](_dl_audit_objsearch): Remove.
	[IS_IN (rtld)][SHARED](_dl_audit_activity_map): Remove.
	[IS_IN (rtld)][SHARED](_dl_audit_activity_nsid): Remove.
	[IS_IN (rtld)][SHARED](_dl_audit_objopen): Remove.
	[IS_IN (rtld)][SHARED](_dl_audit_objclose): Remove.
	[IS_IN (rtld)][SHARED](_dl_audit_preinit): Remove.
	[IS_IN (rtld)][SHARED](_dl_audit_symbind): Remove.
	[IS_IN (rtld)][SHARED](_dl_audit_symbind_alt): Remove.
	[IS_IN (rtld)][SHARED](rtld_hidden_proto): Remove.
	[IS_IN (rtld)][SHARED](_dl_audit_pltenter): Remove.
	[IS_IN (rtld)][SHARED](_dl_audit_pltexit): Remove.
	[IS_IN (rtld)](rtld_progname): Remove.
	[IS_IN (rtld)](_dl_starting_up): Remove.
	[IS_IN (rtld)](weak_extern): Remove.
	[IS_IN (rtld)](rtld_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_random): Remove.
	[IS_IN (rtld)](_dl_debug_printf): Remove.
	[IS_IN (rtld)](_dl_debug_printf_c): Remove.
	[IS_IN (rtld)](_dl_dprintf): Remove.
	[IS_IN (rtld)](_dl_write): Remove.
	[IS_IN (rtld)](_dl_printf): Remove.
	[IS_IN (rtld)](_dl_error_printf): Remove.
	[IS_IN (rtld)](_dl_fatal_printf): Remove.
	[IS_IN (rtld)](rtld_hidden_proto): Remove.
	[IS_IN (rtld)](dl_exception): Remove.
	[IS_IN (rtld)](_dl_exception_create): Remove.
	[IS_IN (rtld)](rtld_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_error_free): Remove.
	[IS_IN (rtld)](_dl_exception_create_format): Remove.
	[IS_IN (rtld)](rtld_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_exception_free): Remove.
	[IS_IN (rtld)](rtld_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_signal_exception): Remove.
	[IS_IN (rtld)](libc_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_signal_error): Remove.
	[IS_IN (rtld)](libc_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_receive_error): Remove.
	[IS_IN (rtld)](_dl_catch_error): Remove.
	[IS_IN (rtld)](libc_hidden_proto): Remove.
	[IS_IN (rtld)](__typeof__): Remove.
	[IS_IN (rtld)](_dl_catch_exception): Remove.
	[IS_IN (rtld)](libc_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_map_object): Remove.
	[IS_IN (rtld)](_dl_map_object_deps): Remove.
	[IS_IN (rtld)](_dl_setup_hash): Remove.
	[IS_IN (rtld)](_dl_rtld_di_serinfo): Remove.
	[IS_IN (rtld)](_dl_process_pt_gnu_property): Remove.
	[IS_IN (rtld)](<anoymous>): Remove.
	[IS_IN (rtld)](_dl_lookup_symbol_x): Remove.
	[IS_IN (rtld)](_dl_lookup_direct): Remove.
	[IS_IN (rtld)](_dl_add_to_namespace_list): Remove.
	[IS_IN (rtld)](_dl_new_object): Remove.
	[IS_IN (rtld)](_dl_relocate_object): Remove.
	[IS_IN (rtld)](_dl_protect_relro): Remove.
	[IS_IN (rtld)](_dl_reloc_bad_type): Remove.
	[IS_IN (rtld)](_dl_check_all_versions): Remove.
	[IS_IN (rtld)](_dl_check_map_versions): Remove.
	[IS_IN (rtld)](_dl_init): Remove.
	[IS_IN (rtld)](_dl_fini): Remove.
	[IS_IN (rtld)](_dl_sort_maps): Remove.
	[IS_IN (rtld)](_dl_debug_state): Remove.
	[IS_IN (rtld)](rtld_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_debug_initialize): Remove.
	[IS_IN (rtld)](_dl_debug_update): Remove.
	[IS_IN (rtld)](_dl_init_paths): Remove.
	[IS_IN (rtld)](_dl_start_profile): Remove.
	[IS_IN (rtld)](_dl_mcount): Remove.
	[IS_IN (rtld)](rtld_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_mcount_wrapper): Remove.
	[IS_IN (rtld)](_dl_show_auxv): Remove.
	[IS_IN (rtld)](_dl_next_ld_env_entry): Remove.
	[IS_IN (rtld)](_dl_important_hwcaps): Remove.
	[IS_IN (rtld)](_dl_load_cache_lookup): Remove.
	[IS_IN (rtld)](_dl_unload_cache): Remove.
	[IS_IN (rtld)](_dl_sysdep_read_whole_file): Remove.
	[IS_IN (rtld)](_dl_sysdep_start): Remove.
	[IS_IN (rtld)](_dl_sysdep_start_cleanup): Remove.
	[IS_IN (rtld)](_dl_assign_tls_modid): Remove.
	[IS_IN (rtld)](_dl_count_modids): Remove.
	[IS_IN (rtld)](_dl_determine_tlsoffset): Remove.
	[IS_IN (rtld)](_dl_tls_static_surplus_init): Remove.
	[IS_IN (rtld)](__tls_pre_init_tp): Remove.
	[IS_IN (rtld)](__tls_init_tp): Remove.
	[IS_IN (rtld)](_dl_early_allocate): Remove.
	[IS_IN (rtld)](__pthread_initialize_minimal): Remove.
	[IS_IN (rtld)](_dl_allocate_tls): Remove.
	[IS_IN (rtld)](rtld_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_get_tls_static_info): Remove.
	[IS_IN (rtld)](_dl_allocate_static_tls): Remove.
	[IS_IN (rtld)](_dl_allocate_tls_storage): Remove.
	[IS_IN (rtld)](_dl_allocate_tls_init): Remove.
	[IS_IN (rtld)](rtld_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_deallocate_tls): Remove.
	[IS_IN (rtld)](rtld_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_nothread_init_static_tls): Remove.
	[IS_IN (rtld)](_dl_get_origin): Remove.
	[IS_IN (rtld)](_dl_dst_count): Remove.
	[IS_IN (rtld)](_dl_dst_substitute): Remove.
	[IS_IN (rtld)](_dl_open): Remove.
	[IS_IN (rtld)](_dl_scope_free): Remove.
	[IS_IN (rtld)](_dl_add_to_slotinfo): Remove.
	[IS_IN (rtld)](_dl_update_slotinfo): Remove.
	[IS_IN (rtld)](_dl_tls_get_addr_soft): Remove.
	[IS_IN (rtld)](_dl_addr_inside_object): Remove.
	[IS_IN (rtld)](_dl_show_scope): Remove.
	[IS_IN (rtld)](_dl_find_dso_for_object): Remove.
	[IS_IN (rtld)](rtld_hidden_proto): Remove.
	[IS_IN (rtld)](_dl_non_dynamic_init): Remove.
	[IS_IN (rtld)](_dl_aux_init): Remove.
	[IS_IN (rtld)](dl_init_static_tls): Remove function.
	[IS_IN (rtld)](__rtld_libc_freeres): Remove.
	[IS_IN (rtld)](__thread_gscope_wait): Remove.
	[IS_IN (rtld)](THREAD_GSCOPE_WAIT): Remove.
	[IS_IN (rtld)](_dl_skip_args): New.
	[IS_IN (rtld)](_dl_signal_cexception): New function.
	[IS_IN (rtld)](_dl_signal_cerror): New function.
	[PTHREAD_IN_LIBC](_dl_init_static_tls): New function.
	[SHARED](rtld_active): New function.
	[SHARED](link_map_audit_state): New function.
	[SHARED](_dl_audit_objsearch): New function.
	[SHARED](_dl_audit_activity_map): New function.
	[SHARED](_dl_audit_activity_nsid): New function.
	[SHARED](_dl_audit_objopen): New function.
	[SHARED](_dl_audit_objclose): New function.
	[SHARED](_dl_audit_preinit): New function.
	[SHARED](_dl_audit_symbind): New function.
	[SHARED](_dl_audit_symbind_alt): New function.
	[SHARED](rtld_hidden_proto): New.
	[SHARED](_dl_audit_pltenter): New function.
	[SHARED](_dl_audit_pltexit): New function.
	(rtld_hidden_proto): Modified.
	[!(IS_IN (rtld))](_dl_signal_cexception): New.
	[!(IS_IN (rtld))](_dl_signal_cerror): New.
	[!(PTHREAD_IN_LIBC &&  SHARED)](__rtld_mutex_init): New.
	[!HAVE_TUNABLES](_dl_sort_maps_init): New.
	[HAVE_TUNABLES](_dl_sort_maps_init): New.
	[PTHREAD_IN_LIBC &&  SHARED](int): New.
	[PTHREAD_IN_LIBC &&  SHARED](int): New.
	[PTHREAD_IN_LIBC &&  SHARED](__rtld_mutex_init): New.
	(_dl_argv): New.
	(rtld_progname): New.
	(_dl_starting_up): New.
	(weak_extern): New.
	(rtld_hidden_proto): New.
	(_dl_random): New.
	(_dl_debug_printf): New function.
	(_dl_debug_printf_c): New function.
	(_dl_dprintf): New function.
	(_dl_write): New function.
	(_dl_printf): New function.
	(_dl_error_printf): New function.
	(_dl_fatal_printf): New function.
	(rtld_hidden_proto): New.
	(dl_exception): New.
	(_dl_exception_create): New function.
	(rtld_hidden_proto): New.
	(_dl_error_free): New function.
	(_dl_exception_create_format): New function.
	(rtld_hidden_proto): New.
	(_dl_exception_free): New function.
	(rtld_hidden_proto): New.
	(_dl_signal_exception): New function.
	(libc_hidden_proto): New.
	(_dl_signal_error): New function.
	(libc_hidden_proto): New.
	(_dl_receive_error): New function.
	(_dl_catch_error): New function.
	(libc_hidden_proto): New.
	(__typeof__): New function.
	(_dl_catch_exception): New function.
	(libc_hidden_proto): New.
	(_dl_map_object): New function.
	(_dl_map_object_deps): New function.
	(_dl_setup_hash): New function.
	(_dl_rtld_di_serinfo): New function.
	(_dl_process_pt_gnu_property): New function.
	(<anoymous>): New.
	(_dl_lookup_symbol_x): New function.
	(_dl_lookup_direct): New function.
	(_dl_add_to_namespace_list): New function.
	(_dl_new_object): New function.
	(_dl_relocate_object): New function.
	(_dl_protect_relro): New function.
	(_dl_reloc_bad_type): New function.
	(_dl_check_all_versions): New function.
	(_dl_check_map_versions): New function.
	(_dl_init): New function.
	(_dl_fini): New function.
	(_dl_sort_maps): New function.
	(_dl_debug_state): New function.
	(rtld_hidden_proto): New.
	(_dl_debug_initialize): New function.
	(_dl_debug_update): New function.
	(_dl_init_paths): New function.
	(_dl_start_profile): New function.
	(_dl_mcount): New function.
	(rtld_hidden_proto): New.
	(_dl_mcount_wrapper): New function.
	(_dl_show_auxv): New function.
	(_dl_next_ld_env_entry): New function.
	(_dl_important_hwcaps): New function.
	(_dl_load_cache_lookup): New function.
	(_dl_unload_cache): New function.
	(_dl_sysdep_read_whole_file): New function.
	(_dl_sysdep_start): New function.
	(_dl_sysdep_start_cleanup): New function.
	(_dl_assign_tls_modid): New function.
	(_dl_count_modids): New function.
	(_dl_determine_tlsoffset): New function.
	(_dl_tls_static_surplus_init): New function.
	(__tls_pre_init_tp): New function.
	(__tls_init_tp): New function.
	(_dl_early_allocate): New function.
	(__pthread_initialize_minimal): New function.
	(_dl_allocate_tls): New function.
	(rtld_hidden_proto): New.
	(_dl_get_tls_static_info): New function.
	(_dl_allocate_static_tls): New function.
	(_dl_allocate_tls_storage): New function.
	(_dl_allocate_tls_init): New function.
	(rtld_hidden_proto): New.
	(_dl_deallocate_tls): New function.
	(rtld_hidden_proto): New.
	(_dl_nothread_init_static_tls): New function.
	(_dl_get_origin): New function.
	(_dl_dst_count): New function.
	(_dl_dst_substitute): New function.
	(_dl_open): New function.
	(_dl_scope_free): New function.
	(_dl_add_to_slotinfo): New function.
	(_dl_update_slotinfo): New function.
	(_dl_tls_get_addr_soft): New function.
	(_dl_addr_inside_object): New function.
	(_dl_show_scope): New function.
	(_dl_find_dso_for_object): New function.
	(rtld_hidden_proto): New.
	(_dl_non_dynamic_init): New function.
	(_dl_aux_init): New function.
	(dl_init_static_tls): New function.
	(__rtld_libc_freeres): New function.
	(__thread_gscope_wait): New function.
	(THREAD_GSCOPE_WAIT): New.
	* sysdeps/ia64/dl-sysdep.h: Delete file.
	* sysdeps/nios2/dl-sysdep.h: Modified.
	(DL_ARGV_NOT_RELRO): Remove.
	* sysdeps/s390/s390-32/dl-sysdep.h: Delete file.
	* sysdeps/sparc/dl-sysdep.h: Delete file.
	* sysdeps/unix/sysv/linux/ia64/dl-sysdep.h: Modified.
	(DL_ARGV_NOT_RELRO): Remove.

2022-05-17  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: ad43cac44a6860eaefcadadfb2acb349921e96bf
	rtld: Use generic argv adjustment in ld.so [BZ #23293]

	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	(_dl_start_args_adjust): New function.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(_dl_sysdep_start): Modified function.

2022-05-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d055481ce39d03652ac60de5078889e15b6917ff
	scripts/glibcelf.py: Add *T_RISCV_* constants

	* scripts/glibcelf.py: Modified.

2022-05-16  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d2db60d8d830ef68c8d20a77ac3572d610aa40b1
	Remove dl-librecon.h header.

	* NEWS: Modified.
	* elf/dl-support.c: Modified.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Modified function.
	(dl-librecon.h): Remove include.
	(_dl_correct_cache_id): Remove.
	(__rtld_lock_define_initialized_recursive): Modified function.
	* elf/rtld.c: Modified.
	(dl-librecon.h): Remove include.
	(dl_main): Modified function.
	(process_envvars): Modified function.
	* sysdeps/generic/dl-librecon.h: Delete file.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global_ro): Modified.
	* sysdeps/unix/sysv/linux/i386/dl-librecon.h: Delete file.
	* sysdeps/unix/sysv/linux/m68k/dl-librecon.h: Delete file.

2022-05-16  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c628c2296392ed3bf2cb8d8470668e64fe53389f
	elf: Remove ldconfig kernel version check

	* elf/cache.c: Modified.
	(cache_entry): Modified.
	(print_entry): Modified function.
	(print_cache): Modified function.
	(compare): Modified function.
	(save_cache): Modified function.
	(add_to_cache): Modified function.
	(aux_cache_entry): Modified.
	(aux_cache_file_entry): Modified.
	(search_aux_cache): Modified function.
	(insert_to_aux_cache): Modified function.
	(add_to_aux_cache): Modified function.
	(load_aux_cache): Modified function.
	(save_aux_cache): Modified function.
	* elf/ldconfig.c: Modified.
	(manual_link): Modified function.
	(dlib_entry): Modified.
	(search_dir): Modified function.
	* elf/readelflib.c: Modified.
	(process_elf_file): Modified function.
	* elf/readlib.c: Modified.
	(process_file): Modified function.
	* sysdeps/generic/dl-cache.h: Modified.
	(file_entry_new): Modified.
	* sysdeps/generic/ldconfig.h: Modified.
	(add_to_cache): Modified.
	(search_aux_cache): Modified.
	(add_to_aux_cache): Modified.
	(process_file): Modified.
	(process_elf_file): Modified.
	* sysdeps/unix/sysv/linux/arm/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/ia64/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/mips/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/powerpc/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/riscv/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/s390/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/sparc/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/x86/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.

2022-05-16  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b46d250656794e63a2946c481fda29271342dd1a
	Remove kernel version check

	* NEWS: Modified.
	* config.h.in: Modified.
	* csu/libc-start.c: Modified.
	[! LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	[LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	* csu/version.c: Modified.
	(unistd.h): Remove include.
	(__libc_print_version): Remove.
	(__libc_print_version): Remove function.
	(__gnu_get_libc_release): Remove.
	(__gnu_get_libc_release): Remove function.
	(weak_alias): Remove.
	(__gnu_get_libc_version): Remove.
	(__gnu_get_libc_version): Remove function.
	(weak_alias): Remove.
	(__libc_main): Remove.
	(__libc_main): Remove function.
	[__LINUX_KERNEL_VERSION_STR](unistd.h): New.
	[__LINUX_KERNEL_VERSION_STR](__libc_print_version): New.
	[__LINUX_KERNEL_VERSION_STR](__libc_print_version): New.
	[__LINUX_KERNEL_VERSION_STR](__gnu_get_libc_release): New.
	[__LINUX_KERNEL_VERSION_STR](__gnu_get_libc_release): New.
	[__LINUX_KERNEL_VERSION_STR](weak_alias): New.
	[__LINUX_KERNEL_VERSION_STR](__gnu_get_libc_version): New.
	[__LINUX_KERNEL_VERSION_STR](__gnu_get_libc_version): New.
	[__LINUX_KERNEL_VERSION_STR](weak_alias): New.
	[__LINUX_KERNEL_VERSION_STR](__libc_main): New.
	[__LINUX_KERNEL_VERSION_STR](__libc_main): New.
	* elf/dl-cache.c: Modified.
	(search_cache): Modified function.
	* elf/dl-diagnostics.c: Modified.
	(_dl_print_diagnostics): Modified function.
	* elf/dl-load.c: Modified.
	(open_verify): Modified function.
	* elf/dl-support.c: Modified.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Modified function.
	(_dl_osversion): Remove.
	(__rtld_lock_define_initialized_recursive): Modified function.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	(process_envvars): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global_ro): Modified.
	* sysdeps/unix/sysv/linux/configure: Modified.
	* sysdeps/unix/sysv/linux/configure.ac: Modified.
	* sysdeps/unix/sysv/linux/dl-librecon.h: Delete file.
	* sysdeps/unix/sysv/linux/dl-osinfo.h: Modified.
	[! MIN](MIN): Remove.
	(DL_SYSDEP_OSCHECK): Remove.
	* sysdeps/unix/sysv/linux/dl-sysdep.c: Modified.
	(_dl_discover_osversion): Remove function.
	* sysdeps/unix/sysv/linux/dl-sysdep.h: Modified.
	[! __ASSEMBLER__](_dl_discover_osversion): Remove.
	[! __ASSEMBLER__](HAVE_DL_DISCOVER_OSVERSION): Remove.
	* sysdeps/unix/sysv/linux/i386/dl-librecon.h: Modified.
	(sysdeps/unix/sysv/linux/dl-librecon.h): Remove include.

2022-05-16  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 97a912f7a832a662960749948049e15f3aecb2a7
	linux: Use /sys/devices/system/cpu on __get_nprocs_conf (BZ#28991)

	* sysdeps/unix/sysv/linux/getsysstats.c: Modified.
	(dirent.h): Remove include.
	(get_nprocs_cpu_online): Remove function.
	(get_nprocs_cpu): Remove function.
	(__get_nprocs): Modified function.
	(__get_nprocs_conf): Modified function.
	(read_sysfs_file): New function.

2022-05-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f787e138aa0bf677bf74fa2a08595c446292f3d7
	csu: Implement and use _dl_early_allocate during static startup

	* csu/libc-tls.c: Modified.
	(__libc_setup_tls): Modified function.
	* elf/Makefile: Modified.
	* elf/dl-early_allocate.c: New file.
	* elf/tst-tls-allocation-failure-static.c: New file.
	* scripts/tst-elf-edit.py: Modified.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)](_dl_early_allocate): New function.
	* sysdeps/unix/sysv/linux/dl-early_allocate.c: New file.

2022-05-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b57ab258c1140bc45464b4b9908713e3e0ee35aa
	Linux: Introduce __brk_call for invoking the brk system call

	* sysdeps/unix/sysv/linux/alpha/brk_call.h: New file.
	* sysdeps/unix/sysv/linux/brk.c: Modified.
	(__brk): Modified function.
	(brk_call.h): Include file.
	* sysdeps/unix/sysv/linux/brk_call.h: New file.
	* sysdeps/unix/sysv/linux/sparc/brk.c: Delete file.
	* sysdeps/unix/sysv/linux/alpha/brk.c: Move to...
	* sysdeps/unix/sysv/linux/sparc/brk_call.h: ... here.
	(errno.h): Remove include.
	(unistd.h): Remove include.
	(sysdep.h): Remove include.
	(__curbrk): Remove.
	(__brk): Remove function.
	(weak_alias): Remove.
	[! __arch64__](SYSCALL_NUM): New.
	[__arch64__](SYSCALL_NUM): New.
	(__brk_call): New function.

2022-05-16  Jonathan Wakely  <jwakely@redhat.com>

	COMMIT: 21244c70c24db4b3bd7a2169a7a48f637cad5930
	sys/cdefs.h: Do not require C++ compilers to define __STDC__

	* misc/sys/cdefs.h: Modified.
	[!	_SYS_CDEFS_H][__GNUC__ && ! __STDC__](You need a ISO C conforming compiler to use the glibc headers"): Remove.
	[!	_SYS_CDEFS_H][__GNUC__ && ! __STDC__ && ! __cplusplus](You need a ISO C or C++ conforming compiler to use the glibc headers"): New.

2022-05-16  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 61a87530108ec9181e1b18a9b727ec3cc3ba7532
	fortify: Ensure that __glibc_fortify condition is a constant [BZ #29141]

	* misc/sys/cdefs.h: Modified.
	[!	_SYS_CDEFS_H](__glibc_safe_or_unknown_len): Modified.

2022-05-16  Andreas Schwab  <schwab@suse.de>

	COMMIT: 0b6c6750732483b4d59c2fcb45484079cd84157d
	Update RISC-V specific ELF definitions

	* elf/elf.h: Modified.
	(EF_RISCV_RVE): New.
	(EF_RISCV_TSO): New.
	(STO_RISCV_VARIANT_CC): New.
	(SHT_RISCV_ATTRIBUTES): New.
	(PT_RISCV_ATTRIBUTES): New.
	(DT_RISCV_VARIANT_CC): New.

2022-05-16  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9403b71ae97e3f1a91c796ddcbb4e6f044434734
	x86_64: Remove bzero optimization

	* sysdeps/x86_64/bzero.S: Delete file.
	* sysdeps/x86_64/memset.S: Modified.
	* sysdeps/x86_64/multiarch/Makefile: Modified.
	* sysdeps/x86_64/multiarch/bzero.c: Delete file.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/memset-avx2-unaligned-erms-rtm.S: Modified.
	* sysdeps/x86_64/multiarch/memset-avx2-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-avx512-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-evex-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-sse2-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S: Modified.

2022-05-13  Maciej W. Rozycki  <macro@embecosm.com>

	COMMIT: 7b1cfba79ee54221ffa7d7879433b7ee1728cd76
	RISC-V: Use an autoconf template to produce `preconfigure'

	* sysdeps/riscv/preconfigure: Modified.
	* sysdeps/riscv/preconfigure.ac: New file.

2022-05-13  Maciej W. Rozycki  <macro@embecosm.com>

	COMMIT: 353a1220e3a4ece67216c07796cb0fd2b3d2e309
	MIPS: Use an autoconf template to produce `preconfigure'

	* sysdeps/mips/preconfigure: Modified.
	* sysdeps/mips/preconfigure.ac: New file.

2022-05-13  Maciej W. Rozycki  <macro@embecosm.com>

	COMMIT: fe7dd93db3a5ea9246cf32dc713995e78fcaffb9
	m68k: Use an autoconf template to produce `preconfigure'

	* sysdeps/m68k/preconfigure: Modified.
	* sysdeps/m68k/preconfigure.ac: New file.

2022-05-13  Maciej W. Rozycki  <macro@embecosm.com>

	COMMIT: 7c20479d082eb85ac1179df0411ef3e4a0634298
	C-SKY: Use an autoconf template to produce `preconfigure'

	* sysdeps/csky/preconfigure: Modified.
	* sysdeps/csky/preconfigure.ac: New file.

2022-05-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f39ff483f320878b2a2950353d05747eae623216
	Remove configure fno_unit_at_a_time

	* config.make.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.

2022-05-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6fad891dfd5236002a2e64e26279c1d6dfa79565
	stdio: Remove the usage of $(fno-unit-at-a-time) for siglist.c

	* include/signal.h: Modified.
	[! _ISOMAC](__sys_siglist): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__sys_sigabbrev): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* stdio-common/Makefile: Modified.
	* stdio-common/siglist.c: Move to...
	* stdio-common/siglist-gen.c: ... here.
	(libc_hidden_def): Remove.
	(libc_hidden_def): Remove.
	(siglist-compat.c): Remove include.
	* stdio-common/siglist.S: New file.
	* sysdeps/generic/siglist-compat.h: Move to...
	* sysdeps/generic/siglist-compat-def.h: ... here.
	(DEFINE_COMPAT_SIGLIST): Modified.
	* sysdeps/generic/siglist-compat.c: Delete file.
	* sysdeps/mach/hurd/siglist-compat.c: Move to...
	* sysdeps/mach/hurd/siglist-compat.h: ... here.
	(siglist-compat.h): Remove include.
	(siglist-compat-def.h): Include file.
	(_SIGNAL_H): New.
	(bits/signum-generic.h): Include file.
	* sysdeps/unix/sysv/linux/siglist-compat.c: Move to...
	* sysdeps/unix/sysv/linux/siglist-compat.h: ... here.
	(siglist-compat.h): Remove include.
	(siglist-compat-def.h): Include file.
	(_SIGNAL_H): New.
	(bits/signum-generic.h): Include file.

2022-05-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 900fa2573671d692ed245f76aa3f05cec462be0c
	stdio: Remove the usage of $(fno-unit-at-a-time) for errlist.c

	* Makeconfig: Modified.
	* include/stdio.h: Modified.
	[! _ISOMAC](_sys_errlist_internal_len): New.
	* stdio-common/Makefile: Modified.
	* stdio-common/err_map.h: New file.
	* stdio-common/errlist-compat-data.h: New file.
	* stdio-common/errlist-compat.c: Delete file.
	* stdio-common/errlist-data-gen.c: New file.
	* stdio-common/errlist-data.S: New file.
	* stdio-common/errlist.c: Modified.
	[! ERR_MAP](ERR_MAP): Remove.
	(_sys_errlist_internal): Remove.
	(__get_errlist): Modified function.
	(errlist-compat.c): Remove include.
	(err_map.h): Include file.
	* sysdeps/mach/hurd/errlist.c: Move to...
	* sysdeps/mach/hurd/err_map.h: ... here.
	(stdio-common/errlist.c): Remove include.
	(_ERR_MAP_H): New.
	* sysdeps/unix/sysv/linux/alpha/errlist-compat.c: Move to...
	* sysdeps/unix/sysv/linux/alpha/errlist-compat-data.h: ... here.
	* sysdeps/unix/sysv/linux/errlist-compat.c: Move to...
	* sysdeps/unix/sysv/linux/errlist-compat-data.h: ... here.
	* sysdeps/unix/sysv/linux/errlist-compat.h: Modified.
	(DEFINE_COMPAT_ERRLIST): Remove.
	[! __ASSEMBLER__](DEFINE_COMPAT_ERRLIST): New.
	[__ASSEMBLER__](DEFINE_COMPAT_ERRLIST): New.
	(limits.h): Include file.
	* sysdeps/unix/sysv/linux/hppa/errlist-compat.c: Move to...
	* sysdeps/unix/sysv/linux/hppa/errlist-compat-data.h: ... here.
	* sysdeps/unix/sysv/linux/mips/errlist-compat.c: Move to...
	* sysdeps/unix/sysv/linux/mips/errlist-compat-data.h: ... here.
	* sysdeps/unix/sysv/linux/sparc/errlist-compat.c: Move to...
	* sysdeps/unix/sysv/linux/sparc/errlist-compat-data.h: ... here.

2022-05-13  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 111254f3e1e1a7ae5c2eda7cebc98f93a61d417c
	Add declare_object_symbol_alias for assembly codes (BZ #28128)

	* include/libc-symbols.h: Modified.
	[! _ISOMAC][! __ASSEMBLER__](declare_symbol_alias): New.
	[! _ISOMAC][__ASSEMBLER__](declare_symbol_alias_1): Remove.
	[! _ISOMAC][__ASSEMBLER__](declare_object_symbol_alias): New.
	[! _ISOMAC][__ASSEMBLER__](declare_object_symbol_alias_1): New.
	[! _ISOMAC](declare_symbol_alias): Remove.

2022-05-13  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 9bcd12d223a8990254b65e2dada54faa5d2742f3
	wcrtomb: Make behavior POSIX compliant

	* debug/tst-fortify.c: Modified.
	(do_test): Modified function.
	* debug/wcrtomb_chk.c: Modified.
	(__wcrtomb_chk): Modified function.
	* include/wchar.h: Modified.
	[! _ISOMAC](__wcrtomb_internal): New function.
	* manual/charset.texi: Modified.
	* wcsmbs/wcrtomb.c: Modified.
	(__wcrtomb): Modified function.
	(string.h): Include file.
	(__wcrtomb_internal): New function.

2022-05-09  Wangyang Guo  <wangyang.guo@intel.com>

	COMMIT: 8162147872491bb5b48e91543b19c49a29ae6b6d
	nptl: Add backoff mechanism to spinlock loop

	* nptl/pthread_mutex_lock.c: Modified.
	(PTHREAD_MUTEX_LOCK): Modified function.
	* sysdeps/nptl/pthreadP.h: Modified.
	(pthread_mutex_backoff.h): Include file.
	* sysdeps/nptl/pthread_mutex_backoff.h: New file.
	* sysdeps/x86_64/nptl/pthread_mutex_backoff.h: New file.

2022-05-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a2a6bce7d7e52c1c34369a7da62c501cc350bc31
	Linux: Implement a useful version of _startup_fatal

	* sysdeps/unix/sysv/linux/i386/startup.h: Modified.
	[! BUILD_PIE_DEFAULT](_next <startup.h): Remove.
	[BUILD_PIE_DEFAULT](I386_USE_SYSENTER): Remove.
	[BUILD_PIE_DEFAULT](sysdep.h): Remove.
	[BUILD_PIE_DEFAULT](abort-instr.h): Remove.
	[BUILD_PIE_DEFAULT](_startup_fatal): Remove.
	(I386_USE_SYSENTER): New.
	(_next <startup.h): Include file.
	* sysdeps/unix/sysv/linux/ia64/startup.h: New file.
	* sysdeps/unix/sysv/linux/startup.h: New file.

2022-05-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 18bd9c3d3b1b6a9182698c85354578d1d58e9d64
	ia64: Always define IA64_USE_NEW_STUB as a flag macro

	* sysdeps/unix/sysv/linux/ia64/brk.c: Modified.
	(dl-sysdep.h): Remove include.
	(USE_DL_SYSINFO): Remove.
	(IA64_USE_NEW_STUB): New.
	* sysdeps/unix/sysv/linux/ia64/sysdep.h: Modified.
	[!(USE_DL_SYSINFO  && (IS_IN (libc)  || IS_IN (libpthread) || IS_IN (librt)))](IA64_USE_NEW_STUB): Remove.
	[USE_DL_SYSINFO  && (IS_IN (libc)  || IS_IN (libpthread) || IS_IN (librt))](IA64_USE_NEW_STUB): Remove.
	[! IA64_USE_NEW_STUB][!(USE_DL_SYSINFO && IS_IN (libc))](IA64_USE_NEW_STUB): New.
	[! IA64_USE_NEW_STUB][USE_DL_SYSINFO && IS_IN (libc)](IA64_USE_NEW_STUB): New.
	[IA64_USE_NEW_STUB && !USE_DL_SYSINFO](IA64_USE_NEW_STUB needs USE_DL_SYSINFO): New.

2022-05-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 71e2a681f18f617ab962bf8a139bd86d4d440e22
	linux: Fix posix_spawn return code if clone fails (BZ#29109)

	* sysdeps/unix/sysv/linux/spawni.c: Modified.
	(__spawnix): Modified function.

2022-05-06  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 050cc5f7c1fc30ae2a071282faed9b6a68ca95ba
	benchtests: Add wcrtomb microbenchmark

	* benchtests/Makefile: Modified.
	* benchtests/bench-wcrtomb.c: New file.

2022-05-05  Xiaoming Ni  <nixiaoming@huawei.com>

	COMMIT: cf73acb596e39af4bd9f32846552cd41d9e17a78
	clock_settime/clock_gettime: Use __nonnull to avoid null pointer

	* include/time.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__clock_settime64): Modified.
	[! _ISOMAC][__TIMESIZE != 64](__clock_gettime64): Modified.
	* time/time.h: Modified.
	[__USE_POSIX199309][! __USE_TIME_BITS64](clock_gettime): Modified.
	[__USE_POSIX199309][! __USE_TIME_BITS64](clock_settime): Modified.
	[__USE_POSIX199309][__USE_TIME_BITS64][__REDIRECT](__REDIRECT_NTH): Modified.
	[__USE_POSIX199309][__USE_TIME_BITS64][__REDIRECT](__REDIRECT_NTH): Modified.

2022-05-05  Xiaoming Ni  <nixiaoming@huawei.com>

	COMMIT: ed2ddeffa5d4a51a0d7fe8af701e86cb2fd4ce05
	clock_adjtime: Use __nonnull to avoid null pointer

	* sysdeps/unix/sysv/linux/bits/time.h: Modified.
	[__USE_GNU][__USE_TIME_BITS64][(__REDIRECT_NTH)](__REDIRECT_NTH): Modified.
	[__USE_GNU](clock_adjtime): Modified.
	* sysdeps/unix/sysv/linux/include/sys/timex.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__clock_adjtime64): Modified.

2022-05-05  Xiaoming Ni  <nixiaoming@huawei.com>

	COMMIT: 6a9786b8ecf84a23f9d108a46f58e9fcca70c4a9
	ntp_xxxtimex: Use __nonnull to avoid null pointer

	* sysdeps/unix/sysv/linux/include/sys/timex.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__ntp_gettime64): Modified.
	[! _ISOMAC][__TIMESIZE != 64](__ntp_gettimex64): Modified.
	* sysdeps/unix/sysv/linux/sys/timex.h: Modified.
	[! __USE_TIME_BITS64][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[! __USE_TIME_BITS64](ntp_gettimex): Modified.
	[! __USE_TIME_BITS64](ntp_adjtime): Modified.
	[__USE_TIME_BITS64][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_TIME_BITS64][__REDIRECT_NTH](__REDIRECT_NTH): Modified.
	[__USE_TIME_BITS64][__REDIRECT_NTH](__REDIRECT_NTH): Modified.

2022-05-05  Xiaoming Ni  <nixiaoming@huawei.com>

	COMMIT: d62a70fda8c7d772191ca8781dca46714efdd8cc
	adjtimex/adjtimex64: Use __nonnull to avoid null pointer

	* sysdeps/unix/sysv/linux/include/sys/timex.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](___adjtimex64): Modified.
	[! _ISOMAC](__adjtimex): Modified.
	* sysdeps/unix/sysv/linux/sys/timex.h: Modified.
	[! __USE_TIME_BITS64](adjtimex): Modified.
	[__USE_TIME_BITS64][__REDIRECT_NTH](__REDIRECT_NTH): Modified.

2022-05-05  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: eff158b75dee466ac0c37a17b2165072ee0b7aeb
	hurd spawni: Fix reauthenticating closed fds

	* sysdeps/mach/hurd/spawni.c: Modified.
	(__spawni): Modified function.

2022-05-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c1b68685d438373efe64e5f076f4215723004dfb
	Linux: Define MMAP_CALL_INTERNAL

	* sysdeps/unix/sysv/linux/mmap_call.h: New file.
	* sysdeps/unix/sysv/linux/mmap_internal.h: Modified.
	[! MMAP_CALL](MMAP_CALL): Remove.
	(mmap_call.h): Include file.
	* sysdeps/unix/sysv/linux/s390/mmap_internal.h: Move to...
	* sysdeps/unix/sysv/linux/s390/mmap_call.h: ... here.
	(MMAP_S390_INTERNAL_H): Remove.
	(_next <mmap_internal.h): Remove include.
	(MMAP_CALL_INTERNAL): New.

2022-05-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 60f0f2130d30cfd008ca39743027f1e200592dff
	i386: Honor I386_USE_SYSENTER for 6-argument Linux system calls

	* sysdeps/unix/sysv/linux/i386/Makefile: Modified.
	* sysdeps/unix/sysv/linux/i386/libc-do-syscall-int80.S: New file.
	* sysdeps/unix/sysv/linux/i386/sysdep.h: Modified.
	[! __ASSEMBLER__](INTERNAL_SYSCALL_MAIN_6): Modified.
	[! __ASSEMBLER__](INTERNAL_SYSCALL_MAIN_NCS_6): Modified.
	[!(!I386_USE_SYSENTER && IS_IN (libc) && ! SHARED)](I386_DO_SYSCALL_STRING): New.
	[!I386_USE_SYSENTER && IS_IN (libc) && ! SHARED](I386_DO_SYSCALL_STRING): New.

2022-05-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6e5c7a1e262961adb52443ab91bd2c9b72316402
	i386: Remove OPTIMIZE_FOR_GCC_5 from Linux libc-do-syscall.S

	* sysdeps/unix/sysv/linux/i386/libc-do-syscall.S: Modified.

2022-05-04  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: db1efe02c9f15affc3908d6ae73875b82898a489
	manual: Clarify that abbreviations of long options are allowed

	* manual/getopt.texi: Modified.

2022-05-02  Fangrui Song  <maskray@google.com>

	COMMIT: 8e28aa3a51bf0ef3683f2aed4b5b448744897b66
	elf: Remove fallback to the start of DT_STRTAB for dladdr

